/**
 * $Id: GLECapTesselator.java,v 1.1 1998/05/05 23:30:52 descarte Exp descarte $
 *
 * Copyright (c)1998 Arcane Technologies Ltd. <http://www.arcana.co.uk>
 *
 * OpenGL GLE Tubing/Extrusion library tesselator for end caps
 *
 * $Log: GLECapTesselator.java,v $
 * Revision 1.1  1998/05/05 23:30:52  descarte
 * Initial revision
 *
 *
 *      This software is Copyright (c)1998 Arcane Technologies Ltd.
 *      and is released under the ``Artistic'' licence which is
 *      available in the source distribution. If this license is not
 *      present, you have an unofficial release of this software.
 *      The official release may be downloaded from Arcane Technologies
 *      Ltd. WWW site at:
 *
 *              http://www.arcana.co.uk/products/shapeshifter
 *
 */

package com.hermetica.gle;

import com.hermetica.magician.*;

/**
 * Encapsulation of the information required by GLE to handle multiple
 * GLE ``contexts''.
 * <P>
 * @version $Id: GLECapTesselator.java,v 1.1 1998/05/05 23:30:52 descarte Exp descarte $
 * @author Alligator Descartes &lt;<A HREF="http://www.arcana.co.uk">http://www.arcana.co.uk</A>&gt;
 */
public class GLECapTesselator extends GLUTesselator {

    /** Version information */
    public static final String VERSION = 
        new String( "$Id: GLECapTesselator.java,v 1.1 1998/05/05 23:30:52 descarte Exp descarte $" );

    public void begin( int mode ) {
        gl.glBegin( mode );
      }

    public void vertex( float[] data ) {
        gl.glVertex3fv( data );
      }

    public void end() {
        gl.glEnd();
      }

    public void edgeFlag( boolean flag ) {
        gl.glEdgeFlag( flag );
      }

    public void error( int errorNum ) {
      }
  }
