/**
 * $Id: bootOpenGLFrame.java,v 1.7 1998/03/28 12:35:53 descarte Exp descarte $
 *
 * Copyright (c)1997 Alligator Descartes <descarte@hermetica.com>
 *
 * Displays information about the version of OpenGL currently running
 *
 * $Log: bootOpenGLFrame.java,v $
 * Revision 1.7  1998/03/28 12:35:53  descarte
 * Upgraded demo to GLComponentFactory and Java 1.1
 *
 * Revision 1.6  1998/03/22 20:44:16  descarte
 * Converted to new GLComponentFactory syntax.
 *
 * Revision 1.5  1998/02/23 17:26:05  descarte
 * Converted across to new GLComponent syntax.
 *
 * Revision 1.3  1997/11/20 21:03:26  descarte
 * Fixed layout problem on extensions box.
 *
 * Revision 1.2  1997/11/07 18:59:58  descarte
 * Altered demo to correctly unlock the GL context.
 *
 * Revision 1.1  1997/09/09 09:23:57  descarte
 * Initial revision
 *
 */

package com.hermetica.gle.demos;

import com.hermetica.magician.*;
import com.hermetica.util3d.*;
import java.awt.*;

public class bootOpenGLFrame extends Frame implements GLComponentListener {

    /** The OpenGL logo + sundry information */
/**
    private int[] openGLLogoData = {
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -526345, -526345, -3219729, -1052689, -3219729, -1052689, -3219729, -526345, -3219729, -1052689, -3219729, -1576969, -1576969, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -1576969, -3219729, -3219729, -4335897, -4862242, -6502698, -8079922, -6502698, -8079922, -8079922, -10249027, -8079922, -8673859, -10249027, -10249027, -10249027, -10249027, -8673859, -10249027, -10249027, -10249027, -8673859, -10249027, -8079922, -8079922, -6502698, -8079922, -6502698, -6502698, -4862242, -4335897, -4335897, -3219729, -3219729, -1576969, -1576969, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -4335897, -4862242, -6502698, -6502698, -8079922, -10249027, -10249027, -10842963, -10249027, -11893595, -11893604, -11893595, -13534308, -12417892, -13534308, -13536364, -13536364, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -12417892, -13534308, -13534308, -13534308, -13536364, -11893595, -12417892, -13534308, -11369316, -13005651, -10249027, -10842963, -10842963, -8673859, -10249027, -10249027, -8079922, -8079922, -6502698, -6502698, -4335897, -3219729, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -1576969, -4862242, -6502698, -8079922, -8673859, -10249027, -13005651, -10842963, -13534308, -13534308, -13536364, -13536364, -13534308, -13536364, -14586996, -13536364, -13536364, -14062708, -13536364, -14062708, -13536364, -13534308, -13536364, -13536364, -13534308, -13536364, -13534308, -13534308, -13536364, -13534308, -13534308, -12417892, -13534308, -13534308, -14062708, -13534308, -13534308, -13534308, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -12417892, -12417892, -12417892, -11893595, -11893595, -10249027, -10249027, -10249027, -8079922, -6505010, -4862242, -3219729, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -3219729, -6502698, -6502698, -8079922, -10249027, -13005651, -12417892, -13534308, -13536364, -13536364, -14586996, -13536364, -14062708, -13540485, -14062708, -14062708, -14062708, -13536364, -13540485, -14062708, -14586996, -13536364, -13534308, -14586996, -13536364, -14062708, -14062708, -13536364, -13536364, -13536364, -14062708, -13536364, -13536364, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -12417892, -13536364, -12417892, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -12417892, -11893595, -13005651, -10842963, -10249027, -10249027, -6505010, -4335897, -3219729, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -3219729, -4862242, -8079922, -8079922, -10249027, -13005651, -11893595, -14062708, -13536364, -13534308, -14062708, -13536364, -13536364, -14062708, -13536364, -14062708, -14062708, -14062708, -13536364, -14586996, -13536364, -14062708, -13534308, -13540485, -13536364, -14062708, -14062708, -13540485, -13536364, -14586996, -13536364, -13534308, -14062708, -13534308, -14062708, -13534308, -13534308, -13534308, -13534308, -13534308, -13536364, -12417892, -12422260, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13536364, -13534308, -14062708, -14062708, -14062708, -14062708, -13536364, -13534308, -13534308, -11893595, -11893595, -10249027, -10249027, -8079922, -6502698, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -4335897, -6502698, -8079922, -10249027, -10842963, -11893595, -13534308, -13536364, -13536364, -14062708, -14062708, -14062708, -14062708, -14062708, -13540485, -14586996, -14586996, -14062708, -13536364, -13536364, -14586996, -14062708, -13534308, -14586996, -13536364, -14586996, -13534308, -14062708, -13540485, -13534308, -13536364, -14062708, -13534308, -14062708, -13536364, -13536364, -13536364, -13536364, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -12417892, -13536364, -13534308, -13536364, -12417892, -13534308, -12422260, -13534308, -12422260, -13534308, -14062708, -13534308, -13536364, -14586996, -13536364, -13534308, -14062708, -13534308, -13536364, -13536364, -14062708, -14062708, -14062708, -13536364, -13534308, -12417892, -11893595, -13005651, -10249027, -8673859, -6502698, -1576969, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -3219729, -6502698, -8079922, -10249027, -11893595, -12417892, -13536364, -13534308, -13536364, -13534308, -14062708, -13534308, -14062708, -13536364, -13534308, -14062708, -13536364, -14062708, -13536364, -14062708, -13536364, -14586996, -14062708, -13536364, -14586996, -14062708, -13540485, -14062708, -13536364, -14062708, -14062708, -13536364, -14062708, -13536364, -13534308, -13540485, -13534308, -13540485, -13534308, -13536364, -14586996, -14062708, -13534308, -14062708, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -14062708, -14062708, -13534308, -14062708, -13536364, -13536364, -14586996, -14062708, -14062708, -13534308, -14062708, -14062708, -13536364, -14062708, -14062708, -13536364, -13536364, -14062708, -13534308, -13536364, -13534308, -13536364, -14062708, -13536364, -14062708, -13534308, -13536364, -13534308, -11893604, -13005651, -10842963, -8079922, -4862242, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -4862242, -8079922, -10249027, -10842963, -12417892, -13536364, -13534308, -13534308, -13536364, -13534308, -13536364, -13536364, -13534308, -13534308, -14062708, -14586996, -13540485, -14062708, -14586996, -13536364, -14062708, -13536364, -14062708, -13540485, -13536364, -14586996, -13536364, -14062708, -14062708, -13536364, -14062708, -13536364, -13540485, -14062708, -14062708, -14062708, -14062708, -14062708, -15178876, -13536364, -15178876, -15178876, -15178876, -14586996, -14586996, -16229765, -15178876, -16229765, -15178876, -16756109, -16229765, -16229765, -16229765, -16229765, -16229765, -16229765, -16756109, -16229765, -15178876, -16229765, -15178876, -16229765, -15178876, -15178876, -15178876, -15178876, -15178876, -15178876, -14586996, -14062708, -14586996, -14586996, -14062708, -13536364, -14062708, -14586996, -13536364, -14062708, -14062708, -14062708, -13536364, -13534308, -13534308, -11893604, -10842963, -10249027, -6505010, -3219729, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -8079922, -10249027, -11893604, -11893595, -13536364, -13534308, -13534308, -12422260, -13536364, -13534308, -13536364, -14062708, -13536364, -13536364, -14062708, -13536364, -13534308, -14062708, -13536364, -13536364, -14062708, -14586996, -14586996, -14586996, -14586996, -14062708, -15178876, -14062708, -15178876, -13536364, -14586996, -14586996, -15178876, -13536364, -14586996, -15178876, -16229765, -16229765, -16229765, -16231829, -16756109, -16231829, -16756109, -16235942, -16235942, -16235942, -16235942, -16231829, -16235942, -16235942, -16235942, -16235942, -16235942, -16235942, -16235942, -16235942, -16762542, -16235942, -16235942, -16762542, -16762542, -16762542, -16762542, -16235942, -16235942, -16235942, -16762542, -16231829, -16231829, -16231829, -16231829, -16231829, -16229765, -16229765, -16229765, -16229765, -14586996, -15178876, -13536364, -13536364, -13536364, -14062708, -14062708, -13536364, -13534308, -13536364, -12417892, -10842963, -8676179, -8079922, -4335897, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -6502698, -10249027, -10842963, -11893595, -13534308, -13534308, -13536364, -13534308, -13536364, -12422260, -13534308, -14062708, -13536364, -13536364, -13536364, -13536364, -13536364, -13540485, -14062708, -14062708, -13536364, -15178876, -13536364, -15178876, -14062708, -14062708, -14062708, -14062708, -15178876, -14062708, -14586996, -14586996, -16229765, -15178876, -16229765, -16229765, -16231829, -16231829, -16762542, -16235942, -16235942, -16762542, -16762542, -16762542, -16766663, -16762542, -16235942, -16235942, -16762542, -16235942, -13546918, -16235942, -11904413, -13546918, -13540485, -11904413, -11904413, -11377813, -11904413, -11377813, -11904413, -13540485, -11904413, -13546918, -11904413, -13546918, -13546918, -15187382, -15187382, -16235942, -16762542, -16766663, -16766663, -16762542, -16762542, -16766663, -16762542, -16235942, -16231829, -16231829, -16229765, -16756109, -16229765, -15178876, -13536364, -13540485, -14062708, -14062708, -13534308, -13534308, -13536364, -13534308, -13005651, -10249027, -8079922, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -4335897, -6502698, -8079922, -10842963, -12417892, -11893595, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -13536364, -13536364, -13534308, -13536364, -13534308, -14062708, -13536364, -14586996, -13536364, -13536364, -14586996, -13536364, -15178876, -14062708, -14586996, -14062708, -15178876, -14586996, -15178876, -16229765, -15178876, -16231829, -16756109, -16235942, -16235942, -16762542, -16766663, -16762542, -16762542, -16762542, -16762542, -15187382, -12430758, -11904413, -10261645, -9211013, -8092540, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7039844, -7041900, -7039844, -7039844, -7041900, -5921371, -7041900, -7041900, -7039844, -7039844, -7041900, -7041900, -7041900, -7041900, -10257524, -9211013, -11904413, -12430758, -16235942, -16762542, -16766663, -16762542, -16762542, -16235942, -16231829, -16756109, -16756109, -16229765, -14586996, -14062708, -14062708, -14062708, -13534308, -13536364, -13534308, -13536364, -11893595, -10842963, -8079922, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -8673859, -10842963, -12417892, -13536364, -13534308, -13536364, -13005651, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -14062708, -13534308, -14586996, -13536364, -13540485, -14586996, -13536364, -15178876, -14586996, -14062708, -14586996, -15178876, -14062708, -16229765, -16229765, -16229765, -16231829, -16231829, -16762542, -16762542, -16766663, -16762542, -16766663, -16762542, -16235942, -12430758, -11377813, -9211013, -9211013, -7041900, -8092540, -7041900, -8092540, -7041900, -7041900, -7041900, -7041900, -7041900, -6513508, -7039844, -6513508, -5921363, -6513508, -5395027, -5921371, -5395027, -5395027, -4872795, -4868683, -5921371, -4868683, -4868683, -5921371, -4868683, -5921371, -5395027, -5395027, -5921371, -5921371, -5921371, -5921371, -5921371, -5921371, -7041900, -7039844, -6513508, -7041900, -7041900, -9211013, -10261645, -12430758, -16235942, -16766663, -16762542, -16235942, -16231829, -16756109, -16229765, -14062708, -14062708, -14062708, -12422260, -13534308, -13536364, -11893595, -11893595, -10249027, -8079922, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -6502698, -8079922, -11893595, -13005651, -13534308, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -12422260, -13534308, -13536364, -13534308, -14062708, -13536364, -14062708, -13540485, -14062708, -13536364, -14062708, -13536364, -15178876, -13540485, -15178876, -14586996, -15178876, -16229765, -16231829, -16231829, -16235942, -16762542, -16762542, -16766663, -16762542, -16235942, -12430758, -10261645, -8092540, -8092540, -7041900, -7041900, -7041900, -7039844, -7041900, -7041900, -5921371, -5921371, -5395027, -5395027, -4868683, -3752515, -4868683, -3750194, -3752515, -2697514, -2697514, -3750194, -2697514, -2697514, -2697514, -1581346, -2697514, -3219729, -2697514, -1581346, -2697514, -2697514, -1581346, -1581346, -2697514, -2697514, -2697514, -3750194, -2697514, -3750194, -2697514, -3750194, -3752515, -3752515, -3750194, -5395027, -4868683, -5921371, -5395027, -6513508, -5921363, -5921371, -6513508, -8092540, -10261645, -13546918, -16762542, -16762542, -16762542, -16756109, -16229765, -14586996, -14062708, -13536364, -13534308, -13536364, -13534308, -11893604, -13005651, -8079922, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -4335897, -8079922, -10842963, -11893595, -11893595, -13536364, -12417892, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -13536364, -13534308, -13536364, -14062708, -14062708, -14062708, -13536364, -13536364, -14586996, -15178876, -14586996, -14062708, -15178876, -16229765, -16756109, -16756109, -16235942, -16762542, -16762542, -16766663, -16762542, -13546918, -10261645, -9211013, -7041900, -7041900, -8092540, -7041900, -6513508, -7041900, -5921371, -5921371, -5395027, -4868683, -3752515, -3752515, -3750194, -3750194, -1581346, -3750194, -1581346, -1581346, -1052689, -1581346, -1052689, -1052689, -1052689, -1052689, -526345, -526345, -1052689, -526345, -526345, -526345, -1052689, -526345, -526345, -1052689, -1052689, -526345, -1052689, -1, -1052689, -1052689, -1052689, -1052689, -1581346, -1052689, -1581346, -1581346, -1581346, -1581346, -3750194, -2697514, -3750194, -3752515, -4868683, -4868683, -5921371, -5921371, -5921371, -7041900, -7041900, -11377813, -13546918, -16762542, -16235942, -16231829, -16229765, -15178876, -13534308, -13536364, -13534308, -11893595, -11893604, -10842963, -4862242, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -4862242, -10249027, -11893595, -11893595, -11893595, -13536364, -13534308, -13534308, -12422260, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -13540485, -13534308, -14062708, -13536364, -14586996, -14586996, -14586996, -15178876, -16229765, -16756109, -16235942, -16235942, -16762542, -16766663, -16762542, -13546918, -9211013, -9211013, -7041900, -8092540, -7041900, -7041900, -7039844, -5921371, -5395027, -5395027, -3752515, -3752515, -2697514, -3750194, -1581346, -2697514, -1052689, -1052689, -1052689, -1052689, -526345, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -526345, -1052689, -1052689, -3219729, -1052689, -1581346, -1581346, -2697514, -2697514, -3750194, -4868683, -4868683, -4872795, -5395027, -5921371, -8092540, -10261645, -13540485, -16762542, -16235942, -16756109, -15178876, -14586996, -14062708, -13534308, -13534308, -11893595, -8676179, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -8079922, -11893595, -10842963, -13536364, -13534308, -13536364, -13534308, -12417892, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13536364, -13540485, -14062708, -13536364, -14062708, -14586996, -15178876, -14062708, -16229765, -16756109, -16231829, -16762542, -16766663, -16762542, -16762542, -12430758, -10261645, -7041900, -8092540, -8092540, -7041900, -7041900, -5921371, -5921363, -4868683, -3752515, -3750194, -2697514, -2697514, -1581346, -1581346, -1052689, -1052689, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -526345, -1052689, -3219729, -1052689, -1581346, -2697514, -3750194, -3752515, -3752515, -5395027, -4872795, -6513508, -13540485, -11904413, -16235942, -16756109, -16756109, -15178876, -13536364, -14586996, -13534308, -11893595, -6505010, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -4335897, -10249027, -11893595, -11893595, -13534308, -13534308, -13534308, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -14586996, -13536364, -14586996, -13536364, -13534308, -14062708, -14062708, -14586996, -15178876, -15178876, -16231829, -16231829, -16762542, -16762542, -16762542, -16235942, -10261645, -7041900, -10257524, -7041900, -7041900, -7041900, -5921371, -5921371, -3752515, -3752515, -2697514, -2697514, -1581346, -3219729, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -526345, -1052689, -1581346, -1581346, -2697514, -2697514, -4868683, -4868683, -5395027, -5921371, -10261645, -16235942, -16756109, -16231829, -15178876, -15178876, -14586996, -13536364, -10842963, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -10842963, -11893595, -11893595, -13536364, -11893595, -13536364, -13536364, -11893604, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13536364, -13534308, -14062708, -14062708, -14062708, -13536364, -14062708, -14586996, -16229765, -16231829, -16231829, -16762542, -16766663, -16762542, -13546918, -9211013, -8092540, -8092540, -8092540, -7041900, -5921371, -5921371, -3752515, -3752515, -2697514, -1581346, -1581346, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1052689, -1581346, -2697514, -2697514, -4868683, -4868683, -5395027, -9211013, -13546918, -16235942, -16756109, -16229765, -15178876, -14586996, -14586996, -3750194, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -8079922, -10842963, -13534308, -12417892, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -13536364, -13534308, -14062708, -13534308, -14062708, -14062708, -14062708, -13536364, -13540485, -13536364, -15178876, -15178876, -16229765, -16231829, -16762542, -16766663, -16762542, -12430758, -9211013, -7041900, -8092540, -7041900, -7039844, -5921371, -4868683, -4868683, -2697514, -2697514, -3219729, -1052689, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -1052689, -1052689, -1581346, -2697514, -3750194, -4868683, -4868683, -8092540, -13546918, -16235942, -16756109, -16756109, -15178876, -16231829, -5921363, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -8079922, -10842963, -13536364, -13005651, -13534308, -13536364, -12417892, -13536364, -13534308, -13534308, -13536364, -14062708, -13534308, -14586996, -13536364, -13540485, -13536364, -13540485, -13536364, -14586996, -13536364, -15178876, -15178876, -16231829, -16762542, -16762542, -16762542, -13540485, -9211013, -8092540, -7041900, -7041900, -7041900, -5395027, -3752515, -3750194, -1581346, -1052689, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -1581346, -1581346, -2697514, -3750194, -4868683, -7039844, -11904413, -16762542, -16231829, -16231829, -16231829, -7041900, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -10249027, -11893604, -13534308, -13005651, -13534308, -13534308, -13534308, -13534308, -13534308, -13536364, -13536364, -13534308, -13534308, -14062708, -13534308, -13536364, -14062708, -14586996, -13536364, -14062708, -14586996, -15178876, -16229765, -16235942, -16762542, -16762542, -13546918, -8092540, -8092540, -8092540, -7041900, -7039844, -5921371, -3752515, -2697514, -2697514, -3219729, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -3219729, -2697514, -3750194, -3752515, -8676179, -13546918, -16762542, -16235942, -16766663, -5395027, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -3219729, -10842963, -11893595, -13534308, -13534308, -13534308, -13534308, -12422260, -13534308, -13536364, -13534308, -14062708, -13534308, -14062708, -14062708, -14062708, -14062708, -14062708, -13536364, -14062708, -15178876, -13536364, -15178876, -16231829, -16235942, -16762542, -16235942, -9211013, -7041900, -9211013, -7041900, -5921371, -5921371, -3752515, -2697514, -1581346, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1581346, -2697514, -3750194, -4868683, -10257524, -16235942, -13546918, -4868683, -3752515, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -10249027, -13534308, -13534308, -11893595, -13534308, -13536364, -13536364, -13534308, -12422260, -13534308, -13536364, -13534308, -14062708, -13540485, -13534308, -13540485, -14062708, -13536364, -14062708, -14586996, -14062708, -14586996, -16756109, -16231829, -16762542, -11904413, -8092540, -9211013, -7041900, -7041900, -6513508, -4868683, -3750194, -1581346, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -2697514, -2697514, -3750194, -4868683, -5395027, -5395027, -3750194, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -10249027, -11893604, -13005651, -13536364, -11893595, -13536364, -13534308, -12422260, -13534308, -13536364, -13534308, -13536364, -14062708, -14586996, -13536364, -14062708, -13536364, -14586996, -14062708, -14586996, -14062708, -14586996, -15178876, -16756109, -16235942, -8092540, -10257524, -8676179, -8676179, -8673859, -8673859, -8079922, -4862242, -4335897, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1052689, -2697514, -3752515, -3752515, -3750194, -1581346, -526345, -1, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -10249027, -13005651, -13534308, -13534308, -11893595, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -13534308, -13540485, -14062708, -13536364, -14586996, -14062708, -14586996, -14062708, -14586996, -15178876, -15178876, -16756109, -14062708, -13534308, -13005651, -11893604, -13534308, -11893604, -11893595, -11893604, -11893595, -10842963, -10249027, -8079922, -6502698, -3219729, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -526345, -1581346, -1581346, -1581346, -6502698, -6502698, -8079922, -8673859, -8673859, -10249027, -10249027, -10249027, -8079922, -4335897, -3219729, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -1576969, -1576969, -526345, -1576969, -1052689, -3219729, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -8079922, -11893595, -12417892, -13534308, -12417892, -13534308, -13534308, -12422260, -13534308, -13536364, -14062708, -13536364, -14062708, -13540485, -14062708, -13536364, -14062708, -14586996, -15178876, -13536364, -15178876, -14586996, -15178876, -14062708, -15178876, -15178876, -16229765, -14586996, -15178876, -15178876, -16229765, -15178876, -16229765, -15178876, -15178876, -14586996, -14062708, -12417892, -11893595, -10842963, -8079922, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -6502698, -8673859, -8079922, -10249027, -13534308, -11893604, -13534308, -13534308, -11893595, -11893604, -13005651, -11893595, -13005651, -10842963, -2697514, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -4335897, -8079922, -8079922, -8079922, -8673859, -15178876, -10261645, -1, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -11893595, -13534308, -13534308, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -14062708, -13534308, -13536364, -14062708, -13534308, -13536364, -14586996, -14062708, -14586996, -14062708, -14062708, -14062708, -14586996, -15178876, -14586996, -16229765, -16229765, -16229765, -16229765, -16756109, -16231829, -16231829, -16231829, -16756109, -16231829, -16756109, -16229765, -16756109, -15178876, -16229765, -14062708, -14062708, -11893595, -6502698, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -6502698, -6502698, -10842963, -13536364, -15178876, -15178876, -15178876, -16229765, -15178876, -15178876, -16229765, -15178876, -14586996, -13536364, -13536364, -13536364, -15178876, -13534308, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -8673859, -10842963, -10842963, -11893595, -13534308, -16235942, -13546918, -1576969, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -4862242, -11893595, -12417892, -12417892, -13534308, -12417892, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -14586996, -13534308, -13540485, -14062708, -14062708, -14062708, -14062708, -14586996, -14586996, -15178876, -14586996, -15178876, -15178876, -16229765, -15178876, -16229765, -16231829, -16756109, -16762542, -16762542, -16762542, -16766663, -16762542, -16766663, -16762542, -16231829, -16231829, -16756109, -15178876, -15178876, -15178876, -14586996, -14062708, -10249027, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -10842963, -15178876, -16229765, -16229765, -16229765, -16229765, -16229765, -15178876, -16229765, -16229765, -14586996, -16229765, -15178876, -15178876, -14586996, -15178876, -14062708, -16229765, -16231829, -7562075, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -10249027, -14062708, -14586996, -13536364, -15178876, -16762542, -15187382, -3750194, -3750194, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -8673859, -11893595, -13534308, -13536364, -11893595, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -14062708, -13536364, -14062708, -14062708, -14586996, -13536364, -14062708, -14586996, -14062708, -15178876, -14586996, -15178876, -15178876, -16229765, -16229765, -16229765, -16762542, -16762542, -16771039, -16766663, -16242375, -14075574, -14075574, -14075574, -14075574, -14599870, -16766663, -16766663, -16756109, -16231829, -15178876, -16229765, -15178876, -16229765, -15178876, -10842963, -2697514, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -8079922, -13534308, -16229765, -16756109, -16229765, -16229765, -16756109, -16229765, -16756109, -16231829, -16231829, -16756109, -16756109, -15178876, -15178876, -15178876, -16229765, -14586996, -15178876, -14586996, -16756109, -16231829, -5921363, -1052689, -1052689, -1, -1, -1, -1, -1, -1, -1, -3219729, -10249027, -13536364, -13536364, -13534308, -16229765, -16766663, -14075574, -4872795, -4868683, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -6502698, -11893595, -12417892, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -14062708, -13540485, -13536364, -13536364, -15178876, -14586996, -15178876, -14586996, -15178876, -15178876, -15178876, -15178876, -15178876, -16756109, -16762542, -16766663, -16771039, -12430758, -8092540, -8092540, -7041900, -7041900, -6513508, -5921371, -7039844, -7041900, -9211013, -16762542, -16762542, -16229765, -15178876, -15178876, -14586996, -16229765, -15178876, -7562075, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -8673859, -13536364, -16229765, -16229765, -16756109, -16229765, -16756109, -16235942, -16762542, -16766663, -16766663, -16766663, -16766663, -16762542, -16235942, -16756109, -15178876, -15178876, -15178876, -15178876, -15178876, -15178876, -16756109, -16762542, -3752515, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -3219729, -10842963, -13536364, -14586996, -13536364, -15178876, -16762542, -14599870, -5921363, -4868683, -2697514, -1576969, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -6502698, -10842963, -13534308, -13534308, -13534308, -13534308, -13534308, -12422260, -13534308, -13536364, -14062708, -13536364, -13540485, -14062708, -14062708, -14062708, -14586996, -14062708, -14586996, -13540485, -14062708, -15178876, -14062708, -15178876, -15178876, -15178876, -16231829, -16766663, -16766663, -16242375, -10257524, -7041900, -8092540, -7041900, -7041900, -5921371, -6513508, -5395027, -5921371, -5395027, -5921371, -4868683, -10261645, -16756109, -16229765, -14586996, -15178876, -14062708, -16229765, -16229765, -5921371, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -14062708, -16756109, -15178876, -16229765, -16231829, -16235942, -16766663, -16766663, -16771039, -16242375, -16242375, -14075574, -15187382, -14599870, -16762542, -16235942, -16231829, -16229765, -14586996, -15178876, -14062708, -14586996, -16229765, -16231829, -16235942, -3752515, -1581346, -526345, -1, -1, -1, -1, -526345, -3219729, -10249027, -13536364, -13534308, -13534308, -16229765, -16762542, -14075574, -7041900, -4868683, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -6502698, -8079922, -13534308, -13534308, -13534308, -13534308, -12422260, -13534308, -13536364, -13534308, -13536364, -13534308, -13540485, -14062708, -13534308, -14062708, -13536364, -15178876, -14062708, -15178876, -14586996, -14062708, -14586996, -16229765, -15178876, -15178876, -16229765, -16762542, -16771039, -12430758, -7041900, -7041900, -7041900, -5921371, -5395027, -3752515, -2697514, -3750194, -2697514, -2697514, -2697514, -3750194, -3752515, -3752515, -5395027, -16229765, -13536364, -14062708, -15178876, -14586996, -16756109, -16229765, -4868683, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -6502698, -13534308, -15178876, -16756109, -16756109, -16756109, -16762542, -16766663, -16777216, -11904413, -9211013, -8092540, -7041900, -7041900, -7041900, -7041900, -7041900, -9211013, -16231829, -16229765, -14586996, -14586996, -14586996, -15178876, -15178876, -16756109, -16762542, -10261645, -2697514, -1581346, -526345, -1, -1, -1, -1, -4335897, -10842963, -13536364, -13536364, -14062708, -16229765, -16762542, -15187382, -7039844, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -6502698, -10249027, -12417892, -13534308, -12417892, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -14062708, -13536364, -13536364, -14586996, -13536364, -14062708, -14586996, -14062708, -14062708, -15178876, -15178876, -15178876, -16229765, -15178876, -16229765, -16235942, -16766663, -14599870, -7041900, -8092540, -8092540, -5921371, -4868683, -3750194, -1581346, -3219729, -1052689, -1052689, -526345, -1052689, -1052689, -1052689, -1581346, -3750194, -5395027, -14062708, -13534308, -13536364, -13540485, -15178876, -16231829, -10261645, -3750194, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4862242, -10842963, -15178876, -16756109, -16229765, -16756109, -16762542, -16771039, -16766663, -10261645, -7041900, -8092540, -7041900, -7041900, -5921371, -5921363, -5395027, -5921371, -5395027, -5921371, -13540485, -14586996, -14062708, -14586996, -15178876, -14586996, -16229765, -16235942, -16766663, -5921371, -2697514, -526345, -1, -1, -1, -1, -4335897, -10249027, -13536364, -13536364, -13536364, -15178876, -16242375, -14075574, -7041900, -5921363, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -6502698, -8673859, -11893595, -13536364, -11893595, -13534308, -12417892, -13536364, -13534308, -13536364, -13534308, -14586996, -13536364, -14586996, -14062708, -14586996, -15178876, -14586996, -14062708, -14586996, -15178876, -14586996, -15178876, -14586996, -16229765, -16229765, -16756109, -16766663, -16242375, -7041900, -9211013, -7041900, -4872795, -3750194, -2697514, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1581346, -8088411, -11893595, -13534308, -13534308, -15178876, -16231829, -16762542, -5921371, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -8079922, -14062708, -16229765, -16229765, -16229765, -16231829, -16771039, -16242375, -9211013, -9211013, -7041900, -7039844, -5395027, -3752515, -3752515, -3750194, -2697514, -2697514, -3750194, -3750194, -5395027, -13534308, -11893595, -14062708, -14586996, -14062708, -15178876, -16231829, -16762542, -9211013, -3750194, -1581346, -526345, -1, -1, -526345, -1576969, -10842963, -13536364, -13540485, -13534308, -16229765, -16762542, -15187382, -7041900, -4868683, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -8673859, -8673859, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -14062708, -13540485, -14062708, -14062708, -13536364, -15178876, -13536364, -15178876, -14586996, -15178876, -14062708, -15178876, -15178876, -15178876, -15178876, -16229765, -16235942, -16771039, -11382190, -8092540, -7041900, -6513508, -3750194, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -2697514, -10842963, -11893595, -13536364, -13534308, -16229765, -16762542, -11377813, -3752515, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4862242, -11893595, -16229765, -16756109, -16756109, -16231829, -16766663, -16771039, -10261645, -8092540, -8092540, -5921371, -4868683, -3750194, -2697514, -1052689, -1052689, -1052689, -1052689, -1052689, -1052689, -1581346, -6505010, -13534308, -13536364, -16756109, -16229765, -16231829, -16756109, -16766663, -11904413, -4868683, -3750194, -1052689, -1, -1, -1, -3219729, -10249027, -13534308, -14586996, -13536364, -16229765, -16762542, -14075574, -5921371, -5921363, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -8079922, -11893595, -13536364, -13005651, -13536364, -13534308, -13536364, -13534308, -14062708, -13534308, -14062708, -14062708, -13536364, -14062708, -14062708, -14586996, -14586996, -14062708, -15178876, -14586996, -15178876, -15178876, -15178876, -15178876, -16229765, -16231829, -16766663, -16771039, -7041900, -8092540, -5921371, -3750194, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -3750194, -10249027, -11893595, -13536364, -14062708, -16231829, -13546918, -4868683, -3750194, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -8079922, -14062708, -15178876, -16229765, -16229765, -16762542, -16766663, -16242375, -8092540, -7041900, -7039844, -4868683, -2697514, -3219729, -526345, -1, -1, -1, -1, -1, -1, -526345, -2697514, -14586996, -16762542, -16766663, -16766663, -16766663, -16766663, -16766663, -15187382, -4872795, -3750194, -1581346, -1, -1, -1, -3219729, -10842963, -14062708, -13536364, -13536364, -15178876, -16762542, -15187382, -7039844, -4868683, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -8079922, -8673859, -12417892, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13540485, -14062708, -13536364, -14586996, -14062708, -14062708, -14586996, -15178876, -14062708, -15178876, -14062708, -15178876, -14586996, -16229765, -16229765, -16229765, -16756109, -16766663, -12430758, -8092540, -6513508, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -8673859, -10249027, -13534308, -13536364, -16756109, -16762542, -5921371, -4868683, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -10249027, -16229765, -16229765, -16229765, -16756109, -16762542, -16771039, -11377813, -7041900, -7041900, -5395027, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -7562075, -11377813, -11904413, -11904413, -13546918, -13546918, -13546918, -10261645, -5921371, -4868683, -1581346, -526345, -1, -526345, -3219729, -10249027, -14062708, -13534308, -13536364, -16229765, -16766663, -14075574, -7041900, -4868683, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -10249027, -10842963, -11893595, -13536364, -13534308, -12422260, -13534308, -13536364, -13536364, -13536364, -13536364, -14062708, -14062708, -13536364, -14062708, -14586996, -13540485, -14062708, -15178876, -14062708, -15178876, -14586996, -15178876, -15178876, -16229765, -15178876, -16762542, -16771039, -9211013, -8092540, -6513508, -3752515, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -6502698, -8079922, -11893604, -13534308, -16229765, -16762542, -8092540, -5395027, -3750194, -1052689, -526345, -1576969, -3219729, -1052689, -1, -1, -1, -1576969, -4335897, -4862242, -6505010, -8079922, -6505010, -3219729, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -6502698, -8079922, -10249027, -10249027, -8673859, -6505010, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -1576969, -3219729, -1576969, -1, -1, -1, -3219729, -6502698, -8079922, -10249027, -10249027, -10249027, -4862242, -1, -1, -1, -1, -1, -1, -1, -1, -6505010, -11893595, -15178876, -16756109, -16229765, -16756109, -16766663, -16771039, -9211013, -7041900, -7562075, -3752515, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -3752515, -5921363, -6513508, -7041900, -6513508, -6513508, -5921371, -3752515, -1581346, -526345, -1, -1, -4862242, -11893595, -14062708, -13540485, -13534308, -16229765, -16762542, -14075574, -6513508, -4872795, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -11893595, -13005651, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -14586996, -14062708, -13536364, -14586996, -14586996, -15178876, -14586996, -15178876, -14062708, -15178876, -14586996, -15178876, -15178876, -16229765, -15178876, -16756109, -16766663, -16766663, -9211013, -7041900, -4868683, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4335897, -6505010, -13005651, -13534308, -15178876, -16235942, -11904413, -5395027, -3750194, -526345, -4335897, -8673859, -14586996, -10257524, -1, -526345, -4335897, -6505010, -10249027, -10842963, -11893595, -12417892, -13534308, -13536364, -13534308, -8673859, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -4335897, -8079922, -8673859, -10842963, -11893595, -11893595, -12417892, -13534308, -14062708, -14586996, -10842963, -1581346, -1, -1, -1, -1, -1, -1, -1576969, -3219729, -13534308, -16235942, -7562075, -1, -1576969, -4335897, -6505010, -10249027, -11893595, -13536364, -13534308, -14062708, -16756109, -16229765, -7562075, -1, -1, -1, -1, -1, -526345, -6502698, -13534308, -16756109, -16229765, -16229765, -16231829, -16766663, -14606047, -7041900, -7039844, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -2697514, -3752515, -4868683, -5395027, -5395027, -4868683, -3752515, -3750194, -1052689, -526345, -1, -526345, -3219729, -10842963, -14062708, -14062708, -13536364, -15178876, -16762542, -15187382, -7041900, -5395027, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -12417892, -10842963, -13534308, -13536364, -11893604, -13536364, -13534308, -14062708, -14062708, -13540485, -13536364, -13536364, -14586996, -14062708, -14062708, -14062708, -15178876, -14062708, -15178876, -14586996, -15178876, -15178876, -15178876, -15178876, -16229765, -16229765, -16766663, -16242375, -8092540, -6513508, -4868683, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -4335897, -10842963, -13536364, -14062708, -16235942, -13546918, -6513508, -3750194, -526345, -8079922, -13005651, -14586996, -10249027, -4335897, -6502698, -11893595, -14586996, -16229765, -16756109, -16756109, -15178876, -15178876, -15178876, -15178876, -15178876, -16756109, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1576969, -6502698, -8079922, -11893595, -14586996, -16229765, -16756109, -16229765, -15178876, -15178876, -13534308, -14062708, -15178876, -16756109, -5395027, -526345, -526345, -1, -1, -1, -1576969, -8079922, -15178876, -16756109, -10257524, -1576969, -6502698, -11893595, -14586996, -16756109, -16756109, -16756109, -16229765, -15178876, -16229765, -16756109, -16762542, -7562075, -3219729, -526345, -1, -1, -3219729, -8673859, -13536364, -16229765, -16229765, -16229765, -16762542, -16766663, -14075574, -7041900, -5921371, -3750194, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1052689, -2697514, -2697514, -1581346, -1581346, -1581346, -1052689, -526345, -1, -1, -526345, -3219729, -11893595, -13534308, -14062708, -14062708, -16229765, -16766663, -14075574, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -11893595, -12417892, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13536364, -13536364, -14062708, -14586996, -14586996, -14062708, -15178876, -14586996, -13536364, -15178876, -14586996, -14062708, -15178876, -15178876, -14586996, -16229765, -16229765, -16756109, -16766663, -14601927, -7041900, -7039844, -3750194, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -10249027, -11893595, -14062708, -16235942, -15187382, -6513508, -4868683, -3219729, -10249027, -13534308, -14062708, -12417892, -10842963, -15178876, -16756109, -16766663, -16762542, -16762542, -16235942, -16235942, -16756109, -16229765, -16229765, -16229765, -16756109, -16235942, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -6502698, -10249027, -13536364, -16756109, -16762542, -16766663, -16766663, -16762542, -16235942, -16756109, -16229765, -14586996, -13536364, -16229765, -16231829, -2697514, -1581346, -526345, -1, -1, -3219729, -10842963, -14586996, -16229765, -10249027, -10249027, -16229765, -16235942, -16766663, -16766663, -16762542, -16766663, -16235942, -16756109, -16756109, -16756109, -16762542, -16242375, -3750194, -1581346, -526345, -1, -4335897, -8079922, -14586996, -15178876, -16756109, -16229765, -16235942, -16771039, -11382190, -7041900, -5921363, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -1052689, -1, -526345, -526345, -1, -1, -1, -1, -4862242, -10842963, -14062708, -14062708, -13536364, -16229765, -16762542, -15187382, -5921371, -5395027, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13540485, -14062708, -14586996, -13536364, -14062708, -14586996, -14062708, -14586996, -15178876, -15178876, -14586996, -15178876, -14586996, -15178876, -15178876, -16229765, -15178876, -16229765, -16229765, -16771039, -14075574, -7041900, -6513508, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -10249027, -13536364, -13534308, -16231829, -16766663, -7041900, -4868683, -4335897, -10249027, -15178876, -14062708, -14586996, -16231829, -16766663, -16766663, -16242375, -14075574, -14075574, -16235942, -15187382, -16762542, -16756109, -16756109, -16229765, -16231829, -16762542, -11904413, -1581346, -1581346, -1, -1, -1, -1, -6502698, -8673859, -14586996, -16762542, -16766663, -16777216, -16242375, -14599870, -14599870, -14599870, -16235942, -16756109, -15178876, -14062708, -15178876, -16231829, -16762542, -1581346, -1052689, -526345, -526345, -4335897, -10249027, -15178876, -14586996, -15178876, -16231829, -16766663, -16771039, -16242375, -14599870, -14075574, -15187382, -16762542, -16231829, -15178876, -16756109, -16756109, -16766663, -12430758, -2697514, -1052689, -1, -4862242, -10249027, -14586996, -16229765, -15178876, -16229765, -16235942, -16771039, -10261645, -7041900, -5395027, -3750194, -526345, -1, -1, -1, -1, -1, -3219729, -3219729, -6502698, -8079922, -8079922, -8079922, -6502698, -6505010, -6502698, -8079922, -6505010, -6502698, -6502698, -8079922, -13536364, -5395027, -526345, -1, -1, -1, -526345, -4862242, -10842963, -13536364, -13540485, -13536364, -16229765, -16762542, -15187382, -7041900, -4868683, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1581346, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -14586996, -13534308, -14062708, -14062708, -14586996, -13536364, -15178876, -14586996, -14062708, -14062708, -15178876, -15178876, -15178876, -15178876, -15178876, -16229765, -15178876, -14586996, -16231829, -16766663, -14075574, -7041900, -4868683, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -8079922, -13534308, -13536364, -16762542, -16242375, -7041900, -5395027, -3219729, -11893595, -13534308, -14586996, -16231829, -16771039, -16766663, -11904413, -7039844, -7041900, -6513508, -7041900, -7041900, -7041900, -16231829, -16229765, -16229765, -16229765, -16756109, -16766663, -10257524, -2697514, -1581346, -1, -1, -4335897, -8079922, -13536364, -16762542, -16771039, -16766663, -7041900, -6513508, -7041900, -7041900, -6513508, -7041900, -10257524, -16229765, -13534308, -14062708, -16229765, -16762542, -10261645, -3750194, -1581346, -1052689, -4335897, -10842963, -14586996, -16229765, -16235942, -16771039, -16771039, -8092540, -6513508, -7041900, -6513508, -6513508, -7041900, -16229765, -15178876, -15178876, -16231829, -16762542, -16771039, -4872795, -3750194, -1052689, -6505010, -8673859, -15178876, -16229765, -16229765, -15178876, -16235942, -16771039, -11377813, -7041900, -4868683, -2697514, -526345, -1, -1, -1, -1, -1, -526345, -3219729, -8079922, -10842963, -10842963, -10249027, -10842963, -10249027, -10842963, -10842963, -10249027, -10249027, -10842963, -13534308, -16762542, -7041900, -3219729, -1052689, -1, -1, -526345, -3219729, -11893595, -14586996, -13536364, -14062708, -16756109, -16242375, -14075574, -7041900, -5395027, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -13536364, -12417892, -13536364, -13534308, -14062708, -13534308, -14062708, -14062708, -13536364, -14062708, -14062708, -14586996, -14062708, -14586996, -13540485, -14586996, -13540485, -13536364, -14586996, -15178876, -15178876, -15178876, -14586996, -15178876, -15178876, -16756109, -16766663, -12430758, -7041900, -5921371, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -10249027, -13534308, -14586996, -16235942, -16242375, -7041900, -5395027, -4335897, -13005651, -13540485, -15178876, -16762542, -16771039, -10261645, -7041900, -8092540, -7041900, -6513508, -5921371, -5395027, -5921371, -5921371, -16229765, -14586996, -16229765, -16756109, -16762542, -15187382, -3752515, -1581346, -526345, -1052689, -6502698, -11893595, -16231829, -16771039, -16766663, -7041900, -8092540, -7041900, -7041900, -5921371, -4872795, -5395027, -5395027, -10257524, -12417892, -13534308, -14586996, -16235942, -16766663, -3752515, -2697514, -1581346, -4862242, -11893595, -15178876, -16756109, -16771039, -16242375, -6513508, -8092540, -7041900, -6513508, -7041900, -5395027, -4872795, -4872795, -13534308, -14062708, -16229765, -16766663, -16771039, -8092540, -4868683, -1581346, -6502698, -10249027, -15178876, -16229765, -16229765, -16229765, -16235942, -16766663, -9211013, -7039844, -4868683, -1581346, -526345, -1, -1, -1, -1, -1, -3219729, -6502698, -13534308, -13536364, -14062708, -14586996, -14062708, -13536364, -14586996, -13534308, -13536364, -14586996, -13536364, -16229765, -16771039, -10261645, -2697514, -2697514, -1052689, -1, -526345, -6502698, -10842963, -14062708, -14062708, -15178876, -15178876, -16762542, -15187382, -6513508, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1581346, -13536364, -13534308, -14062708, -13534308, -13536364, -14062708, -13536364, -14062708, -14586996, -13536364, -14062708, -14062708, -14586996, -14062708, -14062708, -15178876, -14586996, -15178876, -15178876, -14586996, -15178876, -15178876, -16229765, -15178876, -15178876, -16229765, -16766663, -14601927, -7041900, -4872795, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -10249027, -11893595, -14062708, -16762542, -15187382, -7041900, -4868683, -4335897, -11893595, -14586996, -16231829, -16766663, -14075574, -8092540, -8092540, -7039844, -5921371, -3752515, -2697514, -3750194, -2697514, -3750194, -6513508, -14586996, -14586996, -16229765, -16235942, -16766663, -7041900, -3752515, -1581346, -4862242, -8079922, -14586996, -16762542, -16771039, -10261645, -8092540, -7041900, -6513508, -5395027, -3752515, -3750194, -3750194, -3750194, -3750194, -10249027, -10249027, -13536364, -16231829, -16762542, -9211013, -4868683, -1581346, -6502698, -13005651, -15178876, -16762542, -16771039, -11904413, -9211013, -7041900, -7041900, -5395027, -3752515, -3750194, -2697514, -3750194, -8676179, -11893595, -15178876, -16235942, -16771039, -9211013, -5395027, -2697514, -6505010, -10249027, -13536364, -15178876, -16229765, -16229765, -16231829, -16771039, -11904413, -7041900, -4868683, -1581346, -526345, -1, -1, -1, -1, -1, -1576969, -6502698, -12417892, -15178876, -14586996, -14586996, -15178876, -14586996, -14062708, -14062708, -14062708, -13536364, -14062708, -16756109, -16766663, -10261645, -5921371, -3750194, -1581346, -526345, -526345, -4862242, -11893595, -14586996, -13536364, -14062708, -16229765, -16766663, -14075574, -7041900, -4868683, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -14586996, -13536364, -13536364, -13536364, -13536364, -13536364, -13534308, -13540485, -13536364, -14586996, -14062708, -14586996, -14062708, -14586996, -15178876, -14062708, -15178876, -14062708, -15178876, -15178876, -14586996, -15178876, -15178876, -14586996, -15178876, -16229765, -16762542, -16771039, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -10842963, -13534308, -15178876, -16766663, -14075574, -7041900, -5921363, -6502698, -13005651, -15178876, -16766663, -16771039, -9211013, -8092540, -6513508, -5921371, -2697514, -1581346, -1581346, -1052689, -1052689, -1581346, -1581346, -11893604, -13534308, -16229765, -16756109, -16766663, -11904413, -3752515, -2697514, -6502698, -10249027, -16229765, -16766663, -16771039, -7041900, -7041900, -7041900, -4868683, -3750194, -1581346, -1052689, -1052689, -1052689, -1581346, -3750194, -6502698, -11893595, -16229765, -16766663, -14075574, -3752515, -3750194, -6502698, -10842963, -16229765, -16766663, -16771039, -8092540, -8092540, -7041900, -4868683, -2697514, -1581346, -1052689, -1052689, -1052689, -6505010, -10249027, -15178876, -16762542, -16771039, -9211013, -6513508, -3750194, -3750194, -10249027, -14062708, -16229765, -15178876, -16229765, -16231829, -16771039, -13546918, -6513508, -3750194, -2697514, -526345, -1, -1, -1, -1, -1, -4862242, -13534308, -16231829, -16762542, -16235942, -16235942, -16235942, -16231829, -15178876, -14062708, -13540485, -14062708, -13536364, -16229765, -16766663, -11904413, -6513508, -5395027, -1581346, -1, -526345, -4862242, -10842963, -14062708, -14586996, -14062708, -16229765, -16762542, -15187382, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -16229765, -13534308, -13536364, -13536364, -13540485, -14062708, -13536364, -14062708, -14062708, -14062708, -14586996, -14062708, -13536364, -15178876, -13536364, -13540485, -14586996, -15178876, -14062708, -15178876, -15178876, -14586996, -14586996, -16229765, -14586996, -15178876, -16762542, -16766663, -7041900, -5921371, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -10842963, -13534308, -16229765, -16766663, -12430758, -7041900, -4868683, -6502698, -11893595, -16756109, -16762542, -16242375, -7041900, -7041900, -6513508, -3750194, -1581346, -526345, -1, -1, -1, -1, -1052689, -8079922, -12417892, -14586996, -16231829, -16766663, -15187382, -5921371, -6505010, -6505010, -11893595, -16229765, -16235942, -16235942, -7562075, -8088411, -6505010, -6505010, -6505010, -4862242, -4862242, -4335897, -4335897, -4335897, -1576969, -1576969, -11893595, -16229765, -16762542, -16766663, -5921371, -4868683, -6502698, -11893595, -16231829, -16766663, -16242375, -7041900, -7041900, -4868683, -3750194, -1052689, -1, -1, -1, -1, -6502698, -10249027, -15178876, -16762542, -16771039, -10261645, -7039844, -3752515, -6505010, -10249027, -14062708, -15178876, -16229765, -14586996, -16756109, -16762542, -16242375, -5395027, -5395027, -1581346, -526345, -1, -1, -1, -1, -1, -8676179, -16762542, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -15178876, -11893595, -13534308, -13534308, -14062708, -16229765, -16766663, -11377813, -7041900, -4868683, -1581346, -526345, -526345, -6502698, -12417892, -14062708, -14062708, -14062708, -16229765, -16762542, -14599870, -7041900, -4868683, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -16229765, -14062708, -14062708, -14062708, -13534308, -14062708, -14586996, -13536364, -14062708, -13536364, -14062708, -14586996, -15178876, -13536364, -15178876, -14062708, -15178876, -14062708, -15178876, -14586996, -14062708, -14586996, -15178876, -14586996, -15178876, -15178876, -16756109, -16771039, -9211013, -5395027, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -12417892, -14062708, -16756109, -16766663, -9211013, -7041900, -5395027, -6502698, -12417892, -16756109, -16766663, -13546918, -7041900, -7041900, -4868683, -2697514, -1, -1, -1, -1, -1, -1, -1, -4862242, -10842963, -14062708, -16756109, -16766663, -16766663, -6513508, -5921363, -8079922, -13536364, -15178876, -16229765, -13534308, -11893595, -10249027, -8676179, -8079922, -8079922, -8673859, -8079922, -7562075, -8079922, -8079922, -4335897, -8673859, -13534308, -15178876, -16762542, -16771039, -7041900, -3752515, -6502698, -11893604, -16756109, -16771039, -14599870, -7041900, -5921371, -3752515, -1581346, -526345, -1, -1, -1, -1, -6502698, -10249027, -15178876, -16762542, -16771039, -10261645, -6513508, -4868683, -2697514, -10842963, -12417892, -15178876, -16229765, -15178876, -16229765, -16235942, -16771039, -7041900, -4868683, -1581346, -526345, -1, -1, -1, -1, -1, -1, -526345, -2697514, -4868683, -6513508, -7041900, -7041900, -7041900, -2697514, -8673859, -13536364, -14062708, -14062708, -16756109, -16766663, -11904413, -7041900, -5921363, -1581346, -526345, -1576969, -6502698, -13005651, -14062708, -14586996, -15178876, -16756109, -16766663, -14075574, -6513508, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -13540485, -14062708, -14586996, -13540485, -14062708, -13536364, -14062708, -14586996, -14062708, -14062708, -14062708, -14586996, -14062708, -14586996, -14062708, -14586996, -13540485, -13536364, -15178876, -13536364, -15178876, -14586996, -15178876, -14586996, -15178876, -14586996, -16756109, -16766663, -11904413, -5395027, -2697514, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -6502698, -13534308, -14586996, -16235942, -16771039, -8092540, -7041900, -4868683, -6502698, -13534308, -16231829, -16771039, -11904413, -7041900, -5921371, -3752515, -3219729, -1, -1, -1, -1, -1, -1, -1, -1052689, -11893595, -13534308, -16231829, -16762542, -16771039, -7041900, -6505010, -8079922, -13536364, -14586996, -15178876, -15178876, -13536364, -13534308, -13534308, -13534308, -14062708, -13005651, -13534308, -13534308, -13536364, -12417892, -13536364, -13534308, -14586996, -16229765, -16235942, -16771039, -7041900, -5921363, -8079922, -13005651, -16231829, -16766663, -14601927, -6513508, -6513508, -3750194, -1052689, -1, -1, -1, -1, -1, -4862242, -10249027, -15178876, -16762542, -16771039, -10261645, -7041900, -3752515, -1581346, -10249027, -11893604, -14586996, -14586996, -16229765, -15178876, -16235942, -16766663, -9211013, -5921371, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -526345, -1581346, -4868683, -5395027, -5921371, -5921371, -7039844, -1, -8079922, -13534308, -13536364, -13540485, -16229765, -16766663, -11904413, -7041900, -4868683, -2697514, -526345, -526345, -6502698, -11893604, -14062708, -14062708, -15178876, -15178876, -16766663, -15187382, -7041900, -4872795, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -7562075, -16231829, -14586996, -14062708, -14062708, -14062708, -14062708, -14062708, -13536364, -15178876, -14586996, -14062708, -14062708, -15178876, -14586996, -15178876, -14062708, -15178876, -14062708, -15178876, -14062708, -14062708, -14062708, -15178876, -14586996, -15178876, -15178876, -16235942, -16766663, -5921371, -3752515, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -10249027, -14062708, -16229765, -16762542, -16242375, -7041900, -7041900, -4868683, -8079922, -12417892, -16756109, -16766663, -11904413, -7041900, -5921363, -3752515, -526345, -1, -1, -1, -1, -1, -1, -1, -1576969, -10249027, -13536364, -16756109, -16766663, -16766663, -7041900, -5921363, -8673859, -13534308, -15178876, -16229765, -16231829, -16235942, -16235942, -16231829, -16756109, -16231829, -16231829, -16231829, -16231829, -16231829, -16235942, -16231829, -16235942, -16235942, -16235942, -16766663, -16771039, -10257524, -5921363, -8079922, -11893595, -16231829, -16771039, -14599870, -6513508, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -6502698, -10249027, -15178876, -16762542, -16771039, -10261645, -7039844, -4868683, -1581346, -6505010, -13005651, -14062708, -16229765, -14586996, -16229765, -16229765, -16762542, -15187382, -5395027, -3752515, -3219729, -1, -1, -1, -1, -1, -1, -1, -1581346, -1581346, -3750194, -3750194, -3752515, -2697514, -526345, -8673859, -14062708, -13534308, -14062708, -16756109, -16766663, -11904413, -7041900, -5395027, -1581346, -526345, -526345, -8079922, -11893595, -14062708, -14586996, -14586996, -16756109, -16766663, -14075574, -6513508, -4868683, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -16762542, -16229765, -14586996, -14062708, -13536364, -14062708, -14062708, -13536364, -14586996, -14062708, -14062708, -15178876, -14062708, -13540485, -14062708, -14586996, -14062708, -14062708, -14586996, -14062708, -14586996, -15178876, -13536364, -15178876, -14062708, -14586996, -16231829, -16766663, -11377813, -3752515, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -11893595, -14062708, -16756109, -16771039, -13546918, -7041900, -5921371, -3752515, -8673859, -13534308, -16231829, -16766663, -12430758, -7039844, -5395027, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -3219729, -10249027, -13534308, -16231829, -16762542, -16771039, -7041900, -8079922, -8079922, -13536364, -15178876, -16762542, -16771039, -16766663, -16766663, -16242375, -16771039, -16771039, -16242375, -16771039, -16242375, -16242375, -16766663, -16771039, -16766663, -16766663, -16242375, -16242375, -16771039, -8092540, -5921371, -8079922, -12417892, -16756109, -16766663, -15187382, -7041900, -5395027, -3750194, -1052689, -1, -1, -1, -1, -1, -4862242, -10249027, -14586996, -16762542, -16771039, -9211013, -7041900, -3752515, -1581346, -1581346, -11369316, -13536364, -14586996, -16229765, -14586996, -15178876, -16231829, -16762542, -9211013, -3750194, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -526345, -1052689, -1, -1576969, -11893595, -13536364, -14062708, -14062708, -16229765, -16766663, -11904413, -7039844, -4868683, -1581346, -526345, -526345, -6502698, -11893595, -15178876, -14586996, -15178876, -16756109, -16762542, -14599870, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -15187382, -16756109, -15178876, -14062708, -14062708, -13534308, -14062708, -13540485, -15178876, -13536364, -14062708, -14062708, -15178876, -13536364, -14586996, -14062708, -14062708, -14586996, -14062708, -14586996, -15178876, -13540485, -14062708, -14586996, -14062708, -15178876, -15178876, -16756109, -16235942, -5395027, -3750194, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -10249027, -13536364, -15178876, -16766663, -16771039, -8092540, -7041900, -5921363, -4868683, -8079922, -13536364, -16756109, -16762542, -14601927, -5921371, -5395027, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1052689, -10249027, -14062708, -16756109, -16766663, -16766663, -7041900, -6513508, -10249027, -11893595, -16756109, -16766663, -14599870, -7041900, -7041900, -8092540, -6513508, -7039844, -7041900, -7039844, -7041900, -7041900, -7041900, -7562075, -7041900, -7041900, -7041900, -7041900, -6513508, -7039844, -5395027, -8673859, -11893595, -16235942, -16771039, -14599870, -6513508, -5395027, -2697514, -526345, -1, -1, -1, -1, -1, -4862242, -10249027, -15178876, -16235942, -16771039, -10261645, -6513508, -4868683, -1581346, -526345, -10249027, -13534308, -15178876, -14586996, -15178876, -15178876, -16229765, -16231829, -16235942, -5395027, -3750194, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -8079922, -13536364, -14062708, -13536364, -13540485, -16229765, -16766663, -11904413, -7041900, -5921363, -1581346, -526345, -1576969, -6505010, -12417892, -14586996, -15178876, -14586996, -16756109, -16766663, -15187382, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -7041900, -16762542, -16229765, -15178876, -13536364, -14062708, -14586996, -13536364, -14062708, -14062708, -14062708, -14062708, -14586996, -14062708, -14586996, -14586996, -13536364, -15178876, -14062708, -14062708, -13536364, -14586996, -14586996, -14062708, -14586996, -14062708, -14062708, -16229765, -16762542, -9211013, -3752515, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -4862242, -13536364, -13536364, -16231829, -16771039, -14075574, -8092540, -7041900, -5921363, -4335897, -10249027, -13536364, -16231829, -16762542, -16771039, -6513508, -5395027, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -4335897, -8079922, -14586996, -16231829, -16766663, -14601927, -7041900, -5921363, -10249027, -11893595, -15178876, -16762542, -16242375, -7041900, -8092540, -7039844, -7041900, -7041900, -5921371, -6513508, -5921371, -5921371, -5921371, -6513508, -5921363, -5921363, -7562075, -7039844, -7041900, -6513508, -4868683, -8079922, -11893595, -16231829, -16766663, -14599870, -6513508, -5921371, -2697514, -526345, -1, -1, -1, -1, -1, -4335897, -10249027, -14586996, -16762542, -16771039, -10261645, -7041900, -3752515, -2697514, -526345, -3750194, -13536364, -14062708, -14062708, -16229765, -15178876, -15178876, -16229765, -16756109, -16231829, -3752515, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -11369316, -14586996, -13536364, -13536364, -14062708, -16229765, -16766663, -11377813, -7041900, -4868683, -1581346, -526345, -526345, -6502698, -11893595, -15178876, -14586996, -15178876, -16756109, -16766663, -14599870, -6513508, -4872795, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -16242375, -16231829, -16229765, -15178876, -13536364, -14062708, -14586996, -13536364, -13536364, -15178876, -13536364, -14062708, -14586996, -14062708, -13536364, -15178876, -13536364, -14586996, -14586996, -15178876, -14062708, -14062708, -14062708, -14062708, -13536364, -14062708, -14586996, -16229765, -16756109, -10257524, -2697514, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -11893595, -13536364, -16229765, -16771039, -16766663, -8092540, -8092540, -5921371, -3752515, -2697514, -10249027, -13536364, -16756109, -16762542, -16766663, -9211013, -5921363, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -4862242, -10842963, -15178876, -16762542, -16771039, -11377813, -7041900, -5921371, -10249027, -10249027, -15178876, -16756109, -16766663, -9211013, -7041900, -5921363, -3752515, -3752515, -3752515, -3750194, -3752515, -3750194, -3752515, -3750194, -1576969, -6502698, -11893595, -16756109, -16762542, -3750194, -6505010, -8673859, -13536364, -16756109, -16771039, -14599870, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -4862242, -10249027, -15178876, -16762542, -16771039, -10261645, -6513508, -3752515, -1581346, -1052689, -1, -11893595, -13536364, -14062708, -15178876, -14586996, -14586996, -14586996, -16229765, -16229765, -16229765, -8676179, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -11893595, -13534308, -13540485, -14062708, -13536364, -14062708, -16756109, -16766663, -11904413, -7041900, -5395027, -2697514, -526345, -1052689, -8079922, -13534308, -13536364, -15178876, -15178876, -16229765, -16235942, -15187382, -7562075, -8676179, -3752515, -4862242, -1581346, -3219729, -3219729, -1052689, -3219729, -1052689, -3219729, -1052689, -3219729, -1052689, -1576969, -1581346, -3219729, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -8088411, -16766663, -16756109, -14062708, -15178876, -14062708, -14062708, -14586996, -14062708, -13536364, -15178876, -13536364, -14586996, -14062708, -14062708, -13536364, -14586996, -14062708, -14062708, -14062708, -13536364, -14586996, -13536364, -14062708, -14062708, -13536364, -14586996, -13536364, -15178876, -16229765, -11369316, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -10842963, -13534308, -16229765, -16762542, -16771039, -11377813, -9211013, -7039844, -5395027, -2697514, -1581346, -10249027, -13536364, -16231829, -16756109, -16762542, -15187382, -5921371, -3750194, -1581346, -1, -1, -1, -1, -1, -1, -3219729, -6502698, -13536364, -16756109, -16766663, -16766663, -7041900, -7041900, -5395027, -8673859, -10842963, -11893604, -16229765, -16235942, -13546918, -5921371, -5395027, -2697514, -1052689, -1581346, -1052689, -1052689, -1581346, -1052689, -1576969, -3219729, -12417892, -16756109, -16771039, -11904413, -3752515, -3750194, -8079922, -13534308, -16231829, -16766663, -14599870, -6513508, -5395027, -3750194, -526345, -1, -1, -1, -1, -1, -4862242, -10249027, -14586996, -16762542, -16771039, -9211013, -7041900, -4868683, -1581346, -526345, -1052689, -1052689, -15178876, -14062708, -14586996, -15178876, -15178876, -15178876, -14062708, -15178876, -13536364, -13536364, -13534308, -10249027, -6502698, -4335897, -1052689, -3219729, -526345, -1576969, -1576969, -6502698, -12417892, -13536364, -14586996, -14062708, -14586996, -14586996, -14062708, -16756109, -16766663, -11904413, -7041900, -4868683, -2697514, -526345, -1576969, -8079922, -11893595, -15178876, -15178876, -15178876, -15178876, -16229765, -14586996, -13005651, -10249027, -10249027, -10249027, -10249027, -10249027, -10249027, -8673859, -10249027, -8079922, -8079922, -8079922, -6502698, -8079922, -6502698, -14586996, -16762542, -1, -1, -9211013, -12434878, -14606047, -14601927, -12434878, -5921371, -12434878, -10261645, -1, -1, -1, -14606047, -8092540, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -16766663, -16231829, -16756109, -14586996, -14062708, -13536364, -14062708, -14062708, -14586996, -13536364, -14062708, -14062708, -14586996, -14062708, -14586996, -13536364, -14062708, -13536364, -14062708, -14062708, -13536364, -14586996, -13536364, -14062708, -14062708, -13536364, -14586996, -13536364, -13536364, -13534308, -10842963, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -10249027, -14062708, -15178876, -16235942, -16766663, -14601927, -7041900, -7041900, -6513508, -3750194, -2697514, -1581346, -10249027, -14062708, -16756109, -16231829, -16235942, -16762542, -16231829, -4868683, -1581346, -526345, -1, -1, -1, -1, -1, -4862242, -10249027, -15178876, -16231829, -16766663, -14599870, -8092540, -6513508, -4868683, -3750194, -10842963, -12417892, -13536364, -16229765, -16756109, -10261645, -3750194, -2697514, -1052689, -526345, -1, -1, -1, -526345, -1576969, -8673859, -16229765, -16766663, -16771039, -5395027, -5395027, -4868683, -8079922, -13536364, -16231829, -16766663, -14601927, -7041900, -4868683, -2697514, -1052689, -1, -1, -1, -1, -1, -4335897, -10249027, -14586996, -16235942, -16771039, -10261645, -6513508, -3752515, -2697514, -526345, -1, -526345, -4868683, -16229765, -15178876, -14586996, -15178876, -14062708, -15178876, -14586996, -14062708, -13534308, -12417892, -10842963, -10249027, -8673859, -6505010, -6502698, -6502698, -8079922, -10249027, -13536364, -13536364, -16229765, -16231829, -16756109, -14062708, -13534308, -14062708, -16229765, -16766663, -11904413, -7041900, -5395027, -1581346, -526345, -526345, -8079922, -13534308, -14586996, -15178876, -15178876, -15178876, -15178876, -15178876, -14062708, -13536364, -13536364, -13536364, -13534308, -13534308, -13534308, -12417892, -12417892, -11893595, -11893595, -13005651, -12417892, -10842963, -12417892, -16235942, -15187382, -1581346, -1052689, -1, -1, -8092540, -3750194, -1, -1, -12434878, -12434878, -1, -1, -2697514, -12434878, -9211013, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -7041900, -16766663, -16756109, -16229765, -14586996, -14062708, -14062708, -13540485, -14586996, -14062708, -14586996, -13536364, -14062708, -14062708, -13536364, -14586996, -13536364, -14062708, -14586996, -13536364, -14062708, -14062708, -13536364, -13540485, -13534308, -13540485, -13536364, -13534308, -14062708, -13534308, -12417892, -10842963, -8673859, -6502698, -1581346, -1576969, -526345, -526345, -526345, -526345, -526345, -1052689, -8079922, -11893595, -14586996, -15178876, -16762542, -16771039, -16771039, -7041900, -8092540, -7041900, -5395027, -2697514, -526345, -3219729, -10249027, -13536364, -16756109, -16229765, -16231829, -16231829, -16235942, -16756109, -5921363, -1581346, -1576969, -526345, -526345, -3219729, -4862242, -10249027, -14586996, -16231829, -16766663, -16777216, -10257524, -8092540, -6513508, -3752515, -1581346, -10249027, -13534308, -13536364, -13536364, -14586996, -16229765, -10257524, -6505010, -1581346, -1, -526345, -526345, -526345, -3219729, -6502698, -14062708, -16762542, -16771039, -14599870, -5921371, -5921371, -3752515, -10249027, -13534308, -16762542, -16771039, -14599870, -6513508, -4872795, -2697514, -1052689, -1, -1, -1, -1, -1, -4862242, -8673859, -14586996, -16762542, -16771039, -10261645, -7039844, -4868683, -1052689, -526345, -1, -1, -526345, -5921363, -16229765, -15178876, -15178876, -14062708, -14586996, -14062708, -14586996, -14062708, -14062708, -13536364, -13536364, -11893595, -12417892, -12417892, -13534308, -13536364, -14586996, -13536364, -16229765, -16762542, -16771039, -15187382, -12417892, -13536364, -13536364, -16756109, -16766663, -11377813, -7041900, -4868683, -1581346, -526345, -1576969, -8079922, -12417892, -15178876, -15178876, -15178876, -15178876, -15178876, -15178876, -15178876, -16229765, -14586996, -14586996, -15178876, -15178876, -15178876, -14586996, -15178876, -13536364, -14586996, -14586996, -14062708, -14586996, -14586996, -16766663, -14599870, -2697514, -1581346, -1, -1, -8092540, -3750194, -1, -1, -12434878, -5395027, -4868683, -1, -9211013, -5921371, -7041900, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -16762542, -16762542, -16756109, -16229765, -14586996, -15178876, -13536364, -14062708, -13536364, -14062708, -14062708, -13536364, -13536364, -13540485, -14062708, -14062708, -13536364, -14062708, -13540485, -13536364, -15178876, -14062708, -14062708, -13534308, -13534308, -14062708, -13536364, -13534308, -13536364, -11893595, -12417892, -10842963, -10249027, -8079922, -6502698, -6502698, -6502698, -6502698, -6502698, -10249027, -13005651, -13534308, -14062708, -16229765, -16762542, -16771039, -16242375, -7041900, -9211013, -7041900, -5395027, -3752515, -1581346, -1, -1581346, -10249027, -14586996, -16231829, -16231829, -16762542, -16231829, -16756109, -16229765, -14586996, -14586996, -11893595, -10842963, -10249027, -10249027, -11369316, -14586996, -16756109, -16766663, -16771039, -11377813, -7041900, -7041900, -5395027, -2697514, -1052689, -1052689, -12422260, -13536364, -14586996, -14062708, -14586996, -11893595, -11893595, -10249027, -8673859, -8079922, -6502698, -6502698, -10249027, -14586996, -16235942, -16766663, -16771039, -7041900, -7041900, -5921363, -4868683, -8673859, -13536364, -16756109, -16766663, -14599870, -7041900, -4868683, -3750194, -526345, -1, -1, -1, -1, -1, -4862242, -10249027, -14586996, -16235942, -16771039, -10261645, -7041900, -3752515, -1581346, -526345, -1, -1, -526345, -1576969, -5395027, -16756109, -16231829, -16229765, -15178876, -14586996, -15178876, -14586996, -14062708, -14062708, -14062708, -14062708, -14062708, -13536364, -14062708, -13536364, -14586996, -16231829, -16762542, -16771039, -13546918, -7041900, -8673859, -11893595, -14062708, -16229765, -16766663, -11904413, -7041900, -5395027, -2697514, -526345, -1052689, -8673859, -13534308, -15178876, -15178876, -15178876, -15178876, -16229765, -16229765, -15178876, -15178876, -16229765, -15178876, -14586996, -15178876, -15178876, -15178876, -14586996, -14062708, -14586996, -14062708, -13536364, -14062708, -14586996, -16762542, -14599870, -5921363, -2697514, -1, -1, -8092540, -3750194, -1, -1, -12434878, -1, -11382190, -1, -12434878, -3750194, -8092540, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -2697514, -16766663, -16235942, -16229765, -15178876, -14062708, -14062708, -13536364, -13540485, -14062708, -13540485, -14062708, -14586996, -13536364, -14586996, -13536364, -13540485, -14062708, -14586996, -13534308, -14062708, -14062708, -13534308, -14062708, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -11893595, -12417892, -11893595, -11893595, -13005651, -10842963, -13005651, -13534308, -13536364, -14586996, -16229765, -16235942, -16766663, -16771039, -14075574, -7041900, -8092540, -7041900, -5395027, -4868683, -1052689, -526345, -1, -526345, -10842963, -15178876, -16756109, -16766663, -16766663, -16766663, -16756109, -16229765, -16229765, -14586996, -13536364, -13536364, -13534308, -13536364, -16756109, -16756109, -16766663, -16771039, -14075574, -7041900, -7041900, -5921371, -4868683, -1581346, -1052689, -526345, -2697514, -16229765, -15178876, -16229765, -14586996, -13536364, -13534308, -12417892, -13005651, -11893595, -13005651, -14062708, -16229765, -16762542, -16771039, -16771039, -9211013, -8092540, -7039844, -4872795, -6502698, -10249027, -13534308, -16235942, -16766663, -14601927, -6513508, -5395027, -2697514, -1, -1, -1, -1, -1, -1, -6502698, -10249027, -14586996, -16762542, -16771039, -10261645, -7041900, -3752515, -1581346, -526345, -1, -1, -1, -526345, -1052689, -4868683, -11904413, -16235942, -16756109, -16231829, -15178876, -15178876, -14062708, -14062708, -13536364, -15178876, -13536364, -15178876, -14586996, -16756109, -16235942, -16771039, -16771039, -12430758, -7041900, -8092540, -8079922, -13536364, -16756109, -16231829, -16771039, -11377813, -7041900, -4868683, -2697514, -526345, -3219729, -10249027, -14062708, -16756109, -16756109, -16231829, -16231829, -16756109, -16231829, -16756109, -16231829, -16756109, -16231829, -16756109, -16231829, -16756109, -16756109, -16756109, -16229765, -16229765, -16756109, -16231829, -16229765, -16231829, -16766663, -15187382, -4868683, -1581346, -1, -1, -9211013, -3750194, -1, -1, -12434878, -1, -11382190, -5921371, -7041900, -2697514, -9211013, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -7041900, -16766663, -16231829, -16229765, -14062708, -13536364, -14586996, -13534308, -14062708, -14062708, -13536364, -14062708, -14062708, -13536364, -13540485, -13534308, -13536364, -13534308, -14062708, -13534308, -13534308, -14062708, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -16229765, -14586996, -15178876, -13536364, -14586996, -13536364, -14586996, -14586996, -14586996, -16229765, -16756109, -16235942, -16766663, -16771039, -16766663, -10261645, -7041900, -8092540, -7041900, -5395027, -3752515, -1581346, -1052689, -1, -1, -1576969, -13005651, -14586996, -16762542, -16766663, -14075574, -13546918, -16762542, -16762542, -16762542, -16231829, -16756109, -16231829, -16235942, -16235942, -16762542, -16766663, -16777216, -12430758, -7041900, -8092540, -7039844, -5395027, -2697514, -1576969, -1, -1, -1052689, -3752515, -16229765, -16756109, -16231829, -16231829, -16231829, -16229765, -16756109, -16756109, -16235942, -16762542, -16771039, -16771039, -16766663, -9211013, -7041900, -7041900, -6513508, -3750194, -2697514, -13536364, -16231829, -16766663, -16771039, -15187382, -6513508, -5395027, -2697514, -1052689, -1, -1, -1, -1, -1, -4862242, -14062708, -16235942, -16766663, -16771039, -9211013, -7039844, -4868683, -1581346, -1, -1, -1, -1, -1, -1052689, -1581346, -2697514, -7039844, -16231829, -16762542, -16762542, -16762542, -16231829, -16231829, -16756109, -16231829, -16756109, -16235942, -16762542, -16766663, -16771039, -16766663, -10261645, -8092540, -8092540, -7041900, -11893595, -16235942, -16762542, -16766663, -16766663, -11904413, -7039844, -4868683, -1581346, -526345, -1052689, -16756109, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16762542, -16766663, -16766663, -16766663, -16766663, -16762542, -16766663, -16766663, -16762542, -16766663, -16771039, -15187382, -4868683, -1581346, -1, -1, -7041900, -3752515, -1, -1, -12434878, -1, -5921371, -14606047, -1052689, -3750194, -9211013, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -16235942, -16762542, -16231829, -15178876, -14586996, -13536364, -14062708, -14586996, -13536364, -14062708, -14062708, -13540485, -14062708, -14062708, -14062708, -13534308, -13540485, -13534308, -14062708, -14062708, -13536364, -13534308, -13536364, -13534308, -13536364, -12417892, -16756109, -16235942, -16231829, -16756109, -16231829, -16231829, -16756109, -16231829, -16231829, -16235942, -16762542, -16766663, -16766663, -16242375, -10261645, -7041900, -8092540, -7041900, -7041900, -5921363, -3752515, -1581346, -1052689, -1, -1, -1, -1576969, -10842963, -14586996, -16235942, -16766663, -13546918, -7041900, -11377813, -16766663, -16762542, -16766663, -16766663, -16766663, -16766663, -16771039, -16771039, -14601927, -10257524, -7041900, -7041900, -6513508, -5395027, -3750194, -1581346, -526345, -1, -1, -1, -1052689, -2697514, -8092540, -16762542, -16766663, -16762542, -16762542, -16766663, -16766663, -16771039, -16771039, -16766663, -13546918, -7041900, -7041900, -7041900, -7039844, -3752515, -2697514, -2697514, -16235942, -16771039, -16766663, -16771039, -14599870, -6513508, -5395027, -2697514, -526345, -1, -1, -1, -1, -1, -10249027, -16762542, -16771039, -16766663, -16771039, -10261645, -7041900, -3752515, -1581346, -1, -1, -1, -1, -1, -1, -1052689, -1581346, -2697514, -5395027, -7039844, -11904413, -15187382, -16762542, -16766663, -16766663, -16766663, -16766663, -16766663, -16771039, -16242375, -11377813, -7041900, -8092540, -7041900, -7041900, -5395027, -5921371, -10257524, -10261645, -10261645, -11377813, -10257524, -7041900, -5395027, -1581346, -526345, -1052689, -8673859, -11369316, -10257524, -11377813, -11377813, -11904413, -11377813, -12430758, -11904413, -11904413, -11904413, -11904413, -11904413, -11904413, -11904413, -12430758, -10261645, -12430758, -12430758, -11904413, -12430758, -11377813, -12430758, -12430758, -10257524, -5921363, -1581346, -1, -1, -3750194, -1052689, -1, -1, -5921371, -1, -1, -5921371, -1, -1052689, -3750194, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -15187382, -16766663, -16756109, -16229765, -15178876, -13536364, -14062708, -13536364, -13536364, -14586996, -13536364, -13536364, -14062708, -14062708, -14062708, -14062708, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -14586996, -16231829, -9211013, -11377813, -13546918, -13546918, -13546918, -16235942, -13546918, -13546918, -11377813, -9211013, -9211013, -7041900, -7041900, -7041900, -7041900, -5921363, -3752515, -3752515, -1052689, -526345, -1, -1, -1, -1, -1576969, -10249027, -15178876, -16231829, -16771039, -14075574, -7041900, -7041900, -6513508, -7041900, -9211013, -10261645, -11377813, -10261645, -9211013, -7041900, -7041900, -7041900, -7041900, -7041900, -5395027, -2697514, -1581346, -1, -1, -1, -1, -1, -526345, -1052689, -3750194, -3750194, -5921363, -9211013, -9211013, -11904413, -10261645, -10261645, -9211013, -7041900, -7041900, -7041900, -7041900, -6513508, -3752515, -3750194, -1052689, -526345, -1052689, -2697514, -5395027, -7562075, -6513508, -6513508, -4868683, -2697514, -526345, -1, -1, -1, -1, -1, -526345, -1052689, -3750194, -5395027, -7039844, -7041900, -5395027, -3752515, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1581346, -2697514, -3752515, -3752515, -5395027, -7039844, -7041900, -10257524, -8092540, -9211013, -9211013, -7041900, -7041900, -7041900, -7041900, -7041900, -5395027, -3752515, -2697514, -1581346, -1581346, -3750194, -5395027, -5921371, -6513508, -4868683, -3750194, -1581346, -526345, -1, -1, -1581346, -3750194, -5395027, -6513508, -6513508, -7041900, -6513508, -6513508, -5921371, -6513508, -7041900, -5921371, -7041900, -7041900, -5921363, -7041900, -5921371, -5921371, -7041900, -5921371, -7041900, -5921363, -6513508, -4872795, -3752515, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -1581346, -16766663, -16762542, -16231829, -15178876, -15178876, -14062708, -14062708, -14062708, -13534308, -14062708, -13540485, -13534308, -13536364, -13534308, -14062708, -13534308, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -14062708, -13534308, -14586996, -10257524, -7041900, -7039844, -7041900, -7041900, -7041900, -6513508, -7041900, -7041900, -7041900, -7039844, -5921371, -5921371, -4868683, -2697514, -2697514, -3219729, -526345, -1, -1, -1, -1, -1, -1576969, -13005651, -15178876, -16235942, -16766663, -14075574, -6513508, -7041900, -5395027, -5395027, -4868683, -5395027, -5921371, -7041900, -7039844, -7041900, -7562075, -6513508, -5395027, -4868683, -2697514, -1581346, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -2697514, -4868683, -4868683, -5921371, -5921371, -7041900, -6513508, -6513508, -7041900, -5921371, -5921371, -4868683, -2697514, -1581346, -1052689, -526345, -526345, -526345, -1052689, -3750194, -4872795, -4872795, -5395027, -2697514, -3219729, -1, -1, -1, -1, -1, -1, -1, -1052689, -2697514, -4868683, -5395027, -5395027, -4868683, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -1052689, -2697514, -3750194, -4868683, -5395027, -4872795, -5921371, -6513508, -6513508, -7562075, -5921371, -5395027, -5921371, -3752515, -2697514, -2697514, -1581346, -1052689, -1052689, -1581346, -3750194, -3750194, -3752515, -3752515, -1581346, -1052689, -1, -1, -1, -1052689, -2697514, -3752515, -4868683, -4868683, -3752515, -5395027, -3752515, -3752515, -5395027, -3752515, -4868683, -4868683, -3752515, -4868683, -3752515, -5395027, -4868683, -3752515, -5395027, -3752515, -5395027, -3752515, -3750194, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -3752515, -16766663, -16762542, -16756109, -14062708, -14586996, -14586996, -13536364, -14062708, -13536364, -13536364, -14062708, -13540485, -14062708, -13534308, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -11893595, -13536364, -13534308, -11893604, -11893595, -7041900, -7041900, -5921371, -5921371, -5921371, -5395027, -5395027, -5395027, -4868683, -3752515, -2697514, -2697514, -1052689, -526345, -526345, -1, -1, -1, -1, -1, -1, -526345, -11893595, -13536364, -16235942, -16771039, -13546918, -6513508, -5921371, -3752515, -3750194, -3750194, -3750194, -4868683, -3752515, -4868683, -4868683, -4868683, -3750194, -2697514, -1581346, -526345, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -1581346, -2697514, -3750194, -4868683, -4868683, -4868683, -5395027, -3752515, -4868683, -3750194, -2697514, -1581346, -526345, -1, -1, -1, -1, -1052689, -1581346, -2697514, -3750194, -3750194, -1052689, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -2697514, -2697514, -3750194, -2697514, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -6502698, -12422260, -526345, -3219729, -1581346, -2697514, -2697514, -3750194, -3752515, -3750194, -3752515, -4868683, -3750194, -3750194, -2697514, -2697514, -1581346, -526345, -1, -1, -1, -1052689, -1052689, -1581346, -1581346, -1581346, -1052689, -526345, -1, -1, -1, -526345, -1581346, -1052689, -1581346, -1581346, -1581346, -1581346, -2697514, -2697514, -1581346, -1581346, -2697514, -1581346, -1581346, -1581346, -2697514, -1581346, -1581346, -2697514, -1581346, -1581346, -1581346, -1581346, -1581346, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -5395027, -16766663, -16762542, -16231829, -16229765, -13536364, -14062708, -14586996, -13536364, -13540485, -13534308, -13536364, -13534308, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -12417892, -12422260, -13534308, -13536364, -13534308, -13534308, -12417892, -13005651, -11893595, -7562075, -4868683, -4868683, -2697514, -3750194, -3750194, -1581346, -1581346, -1581346, -3219729, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -13005651, -14586996, -16235942, -16766663, -13546918, -6513508, -5921371, -2697514, -1581346, -526345, -1052689, -1581346, -1581346, -1581346, -1581346, -1581346, -1052689, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1581346, -1581346, -1581346, -1581346, -1581346, -1581346, -1581346, -1052689, -1052689, -526345, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1052689, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1052689, -1052689, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -14062708, -16766663, -2697514, -1581346, -1052689, -1052689, -1052689, -1052689, -1581346, -1581346, -1581346, -1052689, -1052689, -2697514, -1052689, -526345, -1, -1, -1, -1, -1, -1, -526345, -526345, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -1576969, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -526345, -1576969, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -1581346, -16242375, -16762542, -16756109, -16229765, -13540485, -14062708, -13536364, -13536364, -13536364, -13534308, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -12422260, -13534308, -13534308, -13536364, -11893595, -11893595, -13005651, -8673859, -2697514, -1581346, -526345, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -10842963, -15178876, -16756109, -16771039, -13546918, -7041900, -5395027, -2697514, -1052689, -1, -1, -1, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -8079922, -16235942, -16771039, -7041900, -2697514, -2697514, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -3752515, -16766663, -16762542, -16235942, -16229765, -14586996, -13536364, -14586996, -14062708, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -11893604, -13534308, -13534308, -13536364, -11893595, -13536364, -13534308, -12422260, -13536364, -13534308, -13536364, -13534308, -12417892, -11369316, -10842963, -6505010, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -10842963, -14586996, -16231829, -16766663, -13546918, -6513508, -5921371, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -1576969, -11893595, -16766663, -16771039, -10257524, -3752515, -3752515, -3752515, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -2697514, -13546918, -16766663, -16756109, -16231829, -16229765, -13536364, -13536364, -13534308, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -13536364, -11893595, -12417892, -10842963, -6505010, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -13536364, -16229765, -16762542, -16771039, -12434878, -5395027, -5395027, -3750194, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -3219729, -8079922, -16756109, -16766663, -16771039, -7041900, -3752515, -5921363, -5921371, -3750194, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -1581346, -9211013, -16766663, -16762542, -16756109, -16229765, -14586996, -14062708, -13534308, -13536364, -13534308, -13536364, -12417892, -13536364, -12417892, -13536364, -11893604, -13536364, -13534308, -13536364, -11893604, -13536364, -13534308, -13536364, -14062708, -14062708, -14062708, -13536364, -14586996, -13534308, -13536364, -13534308, -12417892, -8079922, -4335897, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -16756109, -16766663, -16766663, -16771039, -13546918, -7041900, -5921371, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -3219729, -4862242, -8673859, -15178876, -16766663, -16771039, -14599870, -5395027, -5921371, -7039844, -5395027, -3752515, -3750194, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -2697514, -5921363, -16766663, -16766663, -16235942, -16756109, -15178876, -15178876, -13534308, -13536364, -13534308, -13536364, -12417892, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -14062708, -13534308, -13536364, -14062708, -14062708, -13540485, -13536364, -15178876, -13536364, -14586996, -13534308, -13534308, -11893595, -10249027, -8079922, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -4868683, -6505010, -8092540, -9211013, -10257524, -6513508, -4868683, -2697514, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -4335897, -6502698, -10249027, -13536364, -16231829, -16766663, -16771039, -13540485, -4872795, -7041900, -6513508, -5921371, -4868683, -3750194, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -2697514, -3750194, -11904413, -16766663, -16762542, -16231829, -15178876, -15178876, -12417892, -13536364, -13534308, -13536364, -11893595, -13536364, -12417892, -13536364, -12417892, -13536364, -13534308, -13536364, -13534308, -14062708, -14062708, -13540485, -13536364, -13536364, -14586996, -14586996, -14062708, -14062708, -14062708, -14062708, -13534308, -13536364, -11893595, -10842963, -10249027, -6502698, -1052689, -1, -1, -1, -1, -1, -1, -1581346, -3752515, -4868683, -5921371, -5395027, -3752515, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -3219729, -4335897, -6502698, -8079922, -13005651, -14586996, -16229765, -16762542, -16771039, -16242375, -8092540, -7041900, -7041900, -7039844, -5921371, -4868683, -2697514, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1581346, -2697514, -8092540, -16766663, -16766663, -16762542, -16756109, -16229765, -14062708, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -14062708, -14586996, -13536364, -14062708, -14586996, -13536364, -15178876, -14586996, -14062708, -14586996, -14062708, -14062708, -13534308, -11369316, -10842963, -13005651, -10249027, -6502698, -3219729, -526345, -1, -526345, -1052689, -2697514, -4868683, -3752515, -3752515, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -3219729, -3219729, -6502698, -6502698, -8673859, -13005651, -12417892, -14062708, -16229765, -16231829, -16766663, -16771039, -14075574, -6513508, -7041900, -6513508, -7041900, -4868683, -3752515, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -3750194, -3750194, -11377813, -16766663, -16762542, -16762542, -16231829, -15178876, -14586996, -13534308, -13536364, -12417892, -13536364, -13534308, -13536364, -13536364, -14062708, -13540485, -14062708, -14062708, -13536364, -14062708, -14062708, -14062708, -13540485, -15178876, -14062708, -14586996, -14062708, -14586996, -15178876, -15178876, -14586996, -14062708, -13534308, -13536364, -11893604, -11893595, -10842963, -10249027, -8079922, -6502698, -2697514, -1581346, -1581346, -2697514, -1581346, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1576969, -3219729, -4862242, -4862242, -8079922, -8079922, -10249027, -11893595, -12417892, -13534308, -14062708, -15178876, -16231829, -16762542, -16771039, -16242375, -9211013, -7041900, -7041900, -7041900, -6513508, -4868683, -2697514, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -2697514, -3750194, -5395027, -13546918, -16762542, -16762542, -16235942, -16229765, -16229765, -14586996, -14062708, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -14062708, -14062708, -13536364, -14062708, -14062708, -13534308, -13536364, -15178876, -13536364, -14586996, -14062708, -14586996, -14062708, -15178876, -14062708, -15178876, -14062708, -15178876, -13536364, -13534308, -11893604, -12422260, -11893595, -10249027, -10249027, -8079922, -6505010, -4335897, -1581346, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -3219729, -4862242, -6502698, -8079922, -8079922, -8079922, -10842963, -10842963, -11893604, -13536364, -14062708, -13536364, -14586996, -16229765, -16756109, -16766663, -16771039, -16242375, -11377813, -7041900, -8092540, -7041900, -7041900, -5395027, -3750194, -2697514, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -1581346, -3750194, -7041900, -15187382, -16766663, -16762542, -16235942, -16231829, -16756109, -15178876, -15178876, -14062708, -14062708, -13536364, -14062708, -14062708, -14062708, -13534308, -14062708, -14062708, -13536364, -14586996, -14062708, -14062708, -14062708, -14062708, -13536364, -13540485, -15178876, -13536364, -15178876, -14062708, -15178876, -14062708, -15178876, -15178876, -15178876, -14062708, -13534308, -13536364, -13534308, -11893595, -10249027, -10249027, -8079922, -8673859, -8079922, -4862242, -3219729, -3219729, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -3219729, -4335897, -6502698, -6502698, -10249027, -8079922, -8079922, -10249027, -10249027, -11893595, -12422260, -13536364, -13536364, -14586996, -14062708, -13536364, -15178876, -15178876, -16231829, -16762542, -16766663, -16242375, -13546918, -7041900, -8092540, -7041900, -7041900, -5921371, -4868683, -3750194, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -2697514, -3750194, -4868683, -7041900, -15187382, -16766663, -16762542, -16235942, -16231829, -16756109, -16229765, -14586996, -14062708, -14062708, -14062708, -13536364, -14586996, -13534308, -14062708, -13540485, -13536364, -14062708, -15178876, -13536364, -15178876, -14586996, -14586996, -14062708, -14062708, -14062708, -13534308, -14062708, -15178876, -13536364, -14062708, -15178876, -14062708, -15178876, -13536364, -14062708, -13534308, -13536364, -13536364, -12417892, -11893595, -10249027, -10249027, -8673859, -8079922, -6502698, -6502698, -6502698, -6502698, -4862242, -4335897, -3219729, -3219729, -3219729, -1576969, -1576969, -1576969, -526345, -526345, -526345, -526345, -526345, -526345, -1576969, -1576969, -1576969, -1052689, -3219729, -3219729, -4335897, -4335897, -6502698, -6502698, -8079922, -8079922, -8079922, -10249027, -10249027, -10249027, -10249027, -10842963, -11369316, -13534308, -13534308, -13536364, -14586996, -13536364, -13540485, -13536364, -14586996, -14062708, -14586996, -16229765, -16231829, -16762542, -16766663, -16771039, -13546918, -8092540, -8092540, -8092540, -7039844, -7041900, -4868683, -3752515, -2697514, -3219729, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -1581346, -3750194, -4868683, -7039844, -12430758, -16762542, -16766663, -16762542, -16235942, -16231829, -16231829, -16229765, -15178876, -15178876, -14586996, -15178876, -14586996, -13536364, -14062708, -14062708, -13536364, -14062708, -14062708, -14062708, -14062708, -13536364, -14062708, -14586996, -15178876, -14586996, -13536364, -14062708, -14062708, -13534308, -14062708, -14062708, -14586996, -13536364, -14062708, -14062708, -13536364, -14062708, -13534308, -13536364, -13536364, -13536364, -11893604, -13534308, -10842963, -11893595, -10842963, -10249027, -10249027, -10249027, -10249027, -10249027, -10249027, -10249027, -8673859, -10249027, -10249027, -8079922, -10249027, -8079922, -10249027, -10249027, -10249027, -10249027, -10249027, -10249027, -10842963, -13005651, -10842963, -13005651, -11893595, -11893604, -11893595, -13536364, -13536364, -13534308, -13536364, -14062708, -14062708, -14586996, -14586996, -14586996, -14586996, -13536364, -15178876, -14062708, -15178876, -16229765, -16756109, -16235942, -16766663, -16766663, -16242375, -12430758, -9211013, -7041900, -7041900, -7041900, -5921371, -5395027, -3750194, -2697514, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -2697514, -3752515, -3752515, -5395027, -11904413, -16242375, -16762542, -16766663, -16235942, -16235942, -16231829, -16756109, -16229765, -15178876, -15178876, -14586996, -14062708, -13540485, -14062708, -13536364, -13536364, -14062708, -14062708, -14062708, -14062708, -13536364, -14586996, -13536364, -15178876, -14062708, -14062708, -14062708, -14062708, -13534308, -14062708, -13534308, -13540485, -14062708, -14062708, -13536364, -13534308, -14062708, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13536364, -13536364, -13536364, -12417892, -11369316, -13534308, -11893595, -13536364, -12417892, -13536364, -13534308, -13536364, -12417892, -13536364, -13536364, -13536364, -13536364, -13534308, -13536364, -13536364, -14062708, -14062708, -14586996, -15178876, -14062708, -15178876, -15178876, -15178876, -14586996, -14586996, -15178876, -15178876, -14062708, -14586996, -15178876, -14586996, -16231829, -16756109, -16762542, -16766663, -16766663, -16766663, -11377813, -8092540, -7041900, -7041900, -7041900, -5921371, -5921371, -3752515, -1581346, -1581346, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -1581346, -2697514, -3752515, -5395027, -5921363, -9211013, -16762542, -16766663, -16766663, -16762542, -16762542, -16231829, -16231829, -16229765, -16229765, -15178876, -14586996, -14586996, -13540485, -14586996, -14062708, -13540485, -14062708, -13536364, -14062708, -13536364, -14062708, -14062708, -14062708, -14062708, -13536364, -13540485, -14062708, -13540485, -14062708, -14062708, -13534308, -13534308, -14062708, -13534308, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13534308, -13534308, -13534308, -13534308, -14062708, -13534308, -14062708, -13536364, -14586996, -13536364, -13536364, -14586996, -13536364, -14062708, -14062708, -14062708, -14586996, -14062708, -14062708, -13536364, -15178876, -13536364, -14062708, -14586996, -13536364, -14062708, -14586996, -14062708, -15178876, -16756109, -16756109, -16762542, -16766663, -16766663, -16771039, -13546918, -9211013, -7041900, -8092540, -7041900, -7041900, -7041900, -4868683, -3750194, -3750194, -1581346, -1576969, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1576969, -1581346, -2697514, -3750194, -3752515, -4868683, -7041900, -11904413, -15187382, -16766663, -16766663, -16766663, -16762542, -16235942, -16231829, -16756109, -16756109, -16229765, -15178876, -14586996, -14586996, -14586996, -15178876, -14062708, -14062708, -14062708, -13534308, -14062708, -13536364, -14062708, -13536364, -13536364, -13534308, -13534308, -13534308, -14062708, -13536364, -13534308, -13534308, -14062708, -13534308, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -14062708, -13536364, -14062708, -13536364, -14062708, -13536364, -13536364, -14062708, -13534308, -14062708, -14062708, -13540485, -14062708, -14062708, -13536364, -14062708, -14062708, -14062708, -15178876, -13536364, -15178876, -15178876, -15178876, -15178876, -16229765, -16229765, -16231829, -16756109, -16762542, -16766663, -16771039, -16242375, -15187382, -11904413, -8092540, -7041900, -8092540, -7041900, -7039844, -5921371, -5395027, -3750194, -2697514, -2697514, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1052689, -1052689, -1581346, -3750194, -3752515, -4868683, -3752515, -6513508, -11377813, -16235942, -16766663, -16766663, -16766663, -16762542, -16235942, -16235942, -16756109, -16231829, -16756109, -16229765, -15178876, -16229765, -14586996, -13540485, -15178876, -13536364, -14586996, -13536364, -14062708, -13540485, -13534308, -14062708, -13540485, -13536364, -13536364, -13536364, -14062708, -13534308, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -13536364, -13536364, -13534308, -13534308, -13534308, -13534308, -13540485, -14062708, -13536364, -13540485, -14586996, -13534308, -14062708, -14062708, -13536364, -15178876, -14062708, -14586996, -15178876, -15178876, -16229765, -16229765, -16229765, -16756109, -16235942, -16235942, -16766663, -16766663, -16766663, -16242375, -15187382, -9211013, -8092540, -7041900, -7041900, -7041900, -6513508, -7039844, -5395027, -3752515, -3750194, -1581346, -1581346, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1581346, -1052689, -2697514, -3750194, -4868683, -5395027, -5395027, -6513508, -10261645, -13546918, -16766663, -16766663, -16766663, -16762542, -16766663, -16235942, -16235942, -16231829, -16756109, -16231829, -16229765, -16229765, -16229765, -15178876, -14586996, -15178876, -14062708, -14062708, -14062708, -13534308, -14062708, -13534308, -13536364, -13536364, -13536364, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -13536364, -12417892, -13536364, -13534308, -13536364, -13534308, -13536364, -13534308, -14062708, -13536364, -13540485, -13534308, -14062708, -13534308, -14062708, -14062708, -13536364, -14062708, -14586996, -15178876, -15178876, -16229765, -16229765, -16229765, -16231829, -16756109, -16235942, -16235942, -16762542, -16766663, -16766663, -16766663, -16242375, -13546918, -9211013, -7041900, -8092540, -8092540, -7041900, -7041900, -5921371, -5921371, -4868683, -3750194, -2697514, -1581346, -1052689, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1052689, -1581346, -2697514, -3750194, -4868683, -4868683, -4872795, -5921371, -9211013, -11377813, -15187382, -16242375, -16766663, -16766663, -16766663, -16762542, -16235942, -16762542, -16235942, -16231829, -16756109, -16231829, -16756109, -16229765, -16229765, -16229765, -16229765, -14062708, -15178876, -15178876, -14062708, -13536364, -14586996, -13540485, -14062708, -13536364, -14586996, -13536364, -14062708, -14062708, -13540485, -13536364, -14586996, -13540485, -13536364, -14062708, -14062708, -14062708, -14586996, -15178876, -15178876, -15178876, -15178876, -16756109, -16756109, -16756109, -16231829, -16756109, -16762542, -16235942, -16762542, -16762542, -16766663, -16766663, -16766663, -16766663, -16242375, -13546918, -11377813, -9211013, -7041900, -7041900, -8092540, -8092540, -6513508, -5921371, -5921363, -4868683, -3752515, -3750194, -1581346, -1581346, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -1581346, -1581346, -3750194, -3750194, -3752515, -3752515, -5921371, -5921371, -5921363, -7041900, -11377813, -13546918, -15187382, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16762542, -16762542, -16235942, -16762542, -16231829, -16231829, -16756109, -16231829, -16756109, -16231829, -16229765, -16229765, -16229765, -16756109, -16229765, -16756109, -16229765, -16756109, -16229765, -16229765, -16229765, -16756109, -16756109, -16231829, -16756109, -16231829, -16231829, -16756109, -16235942, -16235942, -16235942, -16235942, -16766663, -16762542, -16766663, -16766663, -16766663, -16766663, -16766663, -16242375, -15187382, -12430758, -9211013, -8092540, -7041900, -8092540, -7041900, -7041900, -7041900, -7562075, -5395027, -4868683, -4868683, -3750194, -3750194, -1581346, -1052689, -1052689, -1052689, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -526345, -1581346, -2697514, -3750194, -3752515, -3752515, -5395027, -4868683, -4872795, -5395027, -7041900, -7041900, -10257524, -9211013, -12430758, -13546918, -14075574, -16242375, -16766663, -16766663, -16771039, -16766663, -16766663, -16766663, -16762542, -16766663, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16762542, -16766663, -16762542, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16766663, -16242375, -15187382, -13546918, -11377813, -10261645, -9211013, -8092540, -7041900, -7041900, -7041900, -7041900, -7039844, -7041900, -5921371, -5921371, -5395027, -4868683, -3752515, -3750194, -2697514, -1581346, -1581346, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -1581346, -1581346, -2697514, -3750194, -3750194, -4868683, -4868683, -4872795, -5395027, -4872795, -5921371, -5921371, -6513508, -6513508, -8092540, -7041900, -9211013, -10261645, -11377813, -12430758, -12430758, -13546918, -14075574, -14075574, -15187382, -15187382, -15187382, -15187382, -15187382, -15187382, -14075574, -15187382, -14599870, -15187382, -15187382, -13546918, -13546918, -11904413, -11904413, -11904413, -10261645, -9211013, -9211013, -7041900, -7041900, -7041900, -7041900, -6513508, -7041900, -7041900, -7041900, -6513508, -6513508, -5395027, -4872795, -4868683, -3752515, -3752515, -3750194, -2697514, -1581346, -1581346, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -1581346, -1052689, -1581346, -2697514, -3750194, -2697514, -4868683, -3752515, -4868683, -5395027, -5921371, -5921371, -6513508, -5921371, -7039844, -6513508, -7041900, -6513508, -7041900, -6513508, -6513508, -7041900, -6513508, -7041900, -7041900, -7041900, -7041900, -7041900, -7039844, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -7041900, -6513508, -7039844, -7041900, -5921371, -5921371, -6513508, -5395027, -5921363, -4868683, -4868683, -3752515, -3750194, -3750194, -3750194, -1581346, -2697514, -1052689, -526345, -1052689, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -1052689, -526345, -1052689, -3219729, -1581346, -2697514, -1581346, -2697514, -2697514, -3750194, -3750194, -4868683, -3752515, -4868683, -4868683, -5395027, -4868683, -5921363, -5395027, -4868683, -5921371, -5921363, -4872795, -4868683, -6513508, -5395027, -5921371, -5921363, -5395027, -5921363, -5395027, -5921371, -4868683, -5395027, -4868683, -4868683, -5395027, -3752515, -4868683, -3750194, -3750194, -3750194, -2697514, -2697514, -1581346, -1581346, -1581346, -526345, -1052689, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -526345, -526345, -526345, -1052689, -1052689, -1052689, -1052689, -1052689, -1581346, -1581346, -1581346, -2697514, -2697514, -2697514, -2697514, -2697514, -3750194, -3750194, -2697514, -2697514, -3750194, -2697514, -3750194, -3750194, -2697514, -2697514, -2697514, -2697514, -2697514, -1581346, -1581346, -1581346, -1581346, -1052689, -1052689, -1052689, -1, -526345, -526345, -526345, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 
        -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1
      };
*/

    /** The dimensions of the texture ( auto-generated ) */
    private int openGLLogoWidth = 228;
    private int openGLLogoHeight = 96;

    /** A TextureComponent to display the logo in */
/*    private TextureComponent logoComponent =
        new TextureComponent( openGLLogoData, openGLLogoWidth, openGLLogoHeight );
*/

    /** The OpenGL state machine */
    private CoreGL gl_ = new CoreGL();

    /** A ``hidden'' GLComponent */
    private GLComponent glc = null;

    /** The information on the OpenGL implementation */
    private String vendor = null;
    private String renderer = null;
    private String version = null;
    private String extensions = null;

    /** Text area for extensions */
    TextArea resultsArea = null;

    /** The labels containing the results of the context query */
    Label[] results = new Label[3];

    /** Creates a default OpenGL info frame */
    public bootOpenGLFrame() {

        /** Sets up the basic layout rules */
        setLayout( new GridBagLayout() );
        setBackground( Color.white );
        setTitle( "OpenGL Information" );

        /** Creates the ``hidden'' GLComponent */
        glc = GLComponentFactory.createGLComponent( 2, 2 );

        /** Setup the capabilities of the OpenGL context */
        GLCapabilities cap = glc.getContext().getCapabilities();
        cap.setDepthBits( 12 );
        cap.setPixelType( GLCapabilities.RGBA );
        cap.setColourBits( 24 );
        cap.setRedBits( 1 );
        cap.setDoubleBuffered( GLCapabilities.DOUBLEBUFFER );

        /** Big title */
        Font times18 = new Font( "TimesRoman", Font.BOLD, 18 );
        Label titleLabel = new Label( "OpenGL Information" );
        titleLabel.setFont( times18 );
        titleLabel.setBackground( Color.white );

        /** The information panel containing 4 items of information, 2 labels each */
        Panel infoPanel = new Panel();
        infoPanel.setLayout( new GridBagLayout() );

        Label[] titles = new Label[4];
        titles[0] = new Label( "Vendor:" );
        titles[1] = new Label( "Renderer:" );
        titles[2] = new Label( "Version:" );
        titles[3] = new Label( "Extensions:" );

        String space = new String( "                                " );

        results[0] = new Label( "Unknown" + space );
        results[1] = new Label( "Unknown" + space );
        results[2] = new Label( "Unknown" + space );

        resultsArea = new TextArea( 5, 20 );
        resultsArea.setEditable( false );

        constrain.constrain( infoPanel, titles[0], 0, 0, 1, 1 );
        constrain.constrain( infoPanel, titles[1], 0, 1, 1, 1 );
        constrain.constrain( infoPanel, titles[2], 0, 2, 1, 1 );
        constrain.constrain( infoPanel, titles[3], 0, 3, 1, 1 );

        constrain.constrain( infoPanel, results[0], 1, 0, 1, 1 );
        constrain.constrain( infoPanel, results[1], 1, 1, 1, 1 );
        constrain.constrain( infoPanel, results[2], 1, 2, 1, 1 );
        constrain.constrain( infoPanel, resultsArea, 1, 3, 1, 1 );

        /** Big dismiss button */
        Button dismissButton = new Button( "Dismiss" );

        /** Layout the window */
        constrain.constrain( this, titleLabel, 0, 0, 2, 1,
                             GridBagConstraints.NONE,
                             GridBagConstraints.CENTER,
                             0, 0, 0, 0, 0, 0 );
//        constrain.constrain( this, logoComponent, 0, 1, 1, 1 );
        constrain.constrain( this, glc, 0, 2, 1, 1 );
        constrain.constrain( this, infoPanel, 1, 1, 1, 1 );
        constrain.constrain( this, dismissButton, 0, 2, 2, 1,
                             GridBagConstraints.HORIZONTAL,
                             GridBagConstraints.CENTER,
                             0, 0, 0, 0, 0, 0 );

        /** Pack and display */
        pack();
        show();

        /** Register the GLComponentListener with the GLComponent */
        glc.addGLComponentListener( this );

        /** Tell the component to start processing events */
        glc.initialize();
      }

    public void initialize( GLDrawable component ) {
        /** Grab the information from the context */
        try {
            vendor = gl_.glGetString( GL.GL_VENDOR );
            renderer = gl_.glGetString( GL.GL_RENDERER );
            version = gl_.glGetString( GL.GL_VERSION );
            extensions = gl_.glGetString( GL.GL_EXTENSIONS );
          } catch ( OpenGLException e ) {
            e.printStackTrace();
          }

        if ( vendor != null ) {
            results[0].setText( vendor );
          }
        if ( renderer != null ) {
            results[1].setText( renderer );
          }
        if ( version != null ) {
            results[2].setText( version );
          }
        if ( extensions != null ) {

            /** Split each extension into a different line.... */
            char[] tmpArray = extensions.toCharArray();

            for ( int i = 0 ; i < tmpArray.length ; i++ ) {
                if ( tmpArray[i] == ' ' ) {
                    tmpArray[i] = '\n';
                  }
              }
            String tmpExtensions = new String( tmpArray );
            resultsArea.setText( tmpExtensions );
          }

        /** Re-pack the Components, since the sizes of the labels may have changed */
        pack();
      }

    /** Handles viewport resizing */
    public void reshape( GLDrawable component, int width, int height ) {
      }

    /** Handles refreshing */
    public void display( GLDrawable component ) {
      }

    /** Returns a valid GL pipeline */
    public GL getGL() {
        return gl_;
      }

    /** AWT Event Handler */
    public boolean handleEvent( Event evt ) {
        switch ( evt.id ) {
            case Event.ACTION_EVENT:
                if ( evt.arg.toString().equals( "Dismiss" ) ) {
                    glc.destroy();
                    dispose();
                    return true;
                  }
          }
        return false;
      }
  }
